## [Under what conditions should Likert scales be used as ordinal or interval data?](http://stats.stackexchange.com/questions/10/under-what-conditions-should-likert-scales-be-used-as-ordinal-or-interval-data)

Maybe too late but I add my answer anyway...

It depends on what you intend to do with your data: If you are interested in showing that scores differ when considering different group of participants (gender, country, etc.), you may treat your scores as numeric values, provided they fulfill usual assumptions about variance (or shape) and sample size. If you are rather interested in highlighting how response patterns vary across subgroups, then you should consider item scores as discrete choice among a set of answer options and look for log-linear modeling, ordinal logistic regression, item-response models or any other statistical model that allows to cope with polytomous items.

As a rule of thumb, one generally considers that having 12 distinct points on a scale is sufficient to approximate an interval scale (for interpretation purpose). Lickert items may be regarded as true ordinal scale, but they are often used as numeric and we can compute their mean or SD. This is often done in attitude surveys, although it is wise to report both mean/SD and % of response in, e.g. the two highest categories.

When using summated scale scores (i.e., we add up score on each item to compute a "total score"), usual statistics may be applied, but you have to keep in mind that you are now working with a latent variable so the underlying construct should make sense! In psychometrics, we generally check that (1) unidimensionnality of the scale holds, (2) scale reliability is sufficient. When comparing two such scale scores (for two different instruments), we might even consider using attenuated correlation measures instead of classical Pearson correlation coefficient. 

Classical textbooks include:  
1. Nunnally, J.C. and Bernstein, I.H. (1994). *Psychometric Theory* (3rd ed.). McGraw-Hill Series in Psychology.  
2. Streiner, D.L. and Norman, G.R. (2008). *Health Measurement Scales. A practical guide to their development and use* (4th ed.). Oxford.  
3. Rao, C.R. and Sinharay, S., Eds. (2007). *Handbook of Statistics, Vol. 26: Psychometrics*. Elsevier Science B.V.  
4. Dunn, G. (2000). *Statistics in Psychiatry*. Hodder Arnold.

You may also have a look at [Applications of latent trait and latent class models in the social sciences][1], from Rost & Langeheine, and W. Revelle's website on [personality research][2].

When validating a psychometric scale, it is important to look at so-called ceiling/floor effects (large asymmetry resulting from participants scoring at the lowest/highest response category), which may seriously impact on any statistics computed when treating them as numeric variable (e.g., country aggregation, t-test). This raises specific issues in cross-cultural studies since it is known that overall response distribution in attitude or health surveys differ from one country to the other (e.g. chinese people vs. those coming from western countries tend to highlight specific response pattern, the former having generally more extreme scores at the item level, see e.g. Song, X.-Y. (2007) Analysis of multisample structural equation models with applications to Quality of Life data, in *Handbook of Latent Variable and Related Models*, Lee, S.-Y. (Ed.), pp 279-302, North-Holland).

More generally, you should look at the psychometric-related literature which makes extensive use of Lickert items if you are interested with measurement issue. Various statistical models have been developed and are currently headed under the Item Response Theory framework.


  [1]: http://www.ipn.uni-kiel.de/aktuell/buecher/rostbuch/inhalt.htm
  [2]: http://www.personality-project.org/
