## [How to plot ROC curves in multiclass classification?](http://stats.stackexchange.com/questions/2151/how-to-plot-roc-curves-in-multiclass-classification)

It seems you are looking for multi-class ROC analysis, which is a kind of multi-objective optimization covered in a [tutorial][1] at ICML'04. As in several multi-class problem, the idea is generally to carry out pairwise comparison (one class vs. all other classes, one class vs. another class, see (1) or the *Elements of Statistical Learning*), and there is a recent paper by Landgrebe and Duin on that topic, [Approximating the multiclass ROC by pairwise analysis][2], Pattern Recognition Letters 2007 28: 1747-1758. Now, for visualization purpose, I've seen some papers some time ago, most of them turning around [volume under the ROC surface][3] (VUS) or [Cobweb diagram][4].

I don't know, however, if there exists an R implementation of these methods, although I think the `stars()` function might be used for cobweb plot. I just ran across a Matlab toolbox that seems to offer multi-class ROC analysis, [PRSD Studio][5].

Other papers that may also be useful as a first start for visualization/computation:
 
* [Visualisation of multi-class ROC surfaces][6]
* [A simplified extension of the Area under the ROC to the multiclass domain][7]

**References:**  
1. Allwein, E.L., Schapire, R.E. and Singer, Y. (2000). Reducing multiclass to binary: A unifying approach for margin classifiers. *Journal of Machine Learning Research*, **1**:113–141.


  [1]: http://www.cs.bris.ac.uk/~flach/ICML04tutorial/
  [2]: http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.108.3250&rep=rep1&type=pdf
  [3]: http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.14.2427&rep=rep1&type=pdf
  [4]: http://cskku.kkh.go.th/homework/ke/paper/visualization%20and%20analysis%20of%20classifiers%20performance%20in%20multi-class%20medical%20data.pdf
  [5]: http://doc.prsdstudio.com/latest/guide/ROC_analysis.html
  [6]: http://users.dsic.upv.es/~flip/ROCML2005/papers/fieldsend2CRC.pdf
  [7]: http://homepage.tudelft.nl/a9p19/papers/prasa_06_vuc.pdf
