## [What is the proper way to analyze discrete data?](http://stats.stackexchange.com/questions/2248/what-is-the-proper-way-to-analyze-discrete-data)

What you are looking for seems to be a test for comparing two groups where observations are kind of ordinal data. In this case, I would suggest to apply a trend test to see if there are any differences between the CTL and TRT group. 

Using a t-test would not acknowledge the fact your data are discrete, and the Gaussian assumption may be seriously violated if scores distribution isn't symmetric as is often the case with Likert scores (such as the ones you seem to report). Don't know if these data come from a case-control study or not, but you might also apply rank-based method as suggested by @propfol: If it is not a matched design, the Wilcoxon-Mann-Whitney test (`wilcox.test()` in R) is fine, and ask for an exact p-value although you may encounter problem with tied observations. The efficiency of the WMW test is $3/\pi$ with respect to the t-test if normality holds but it may even be better otherwise, I seem to remember.

Given your sample size, you may also consider applying a permutation test (see the [perm][1] or [coin][2] R packages).

Check also those related questions:

* [Group differences on a five point Likert item][3]
* [Under what conditions should Likert scales be used as ordinal or interval data?][4]


  [1]: http://cran.r-project.org/web/packages/perm/index.html
  [2]: http://cran.r-project.org/web/packages/coin/index.html
  [3]: http://stats.stackexchange.com/questions/203/group-differences-on-a-five-point-likert-item/1888#1888
  [4]: http://stats.stackexchange.com/questions/10/under-what-conditions-should-likert-scales-be-used-as-ordinal-or-interval-data/1887#1887
