## [Under what conditions does correlation imply causation?](http://stats.stackexchange.com/questions/534/under-what-conditions-does-correlation-imply-causation)

I'll just add some additional comments about causality as viewed from an *epidemiological perspective*. Most of these arguments are taken from [Practical Psychiatric Epidemiology][1], by Prince et al. (2003).

Causation, or *causality interpretation*, are by far the most difficult aspects of epidemiological research. [Cohort][2] and [cross-sectional][3] studies might both lead to confoundig effects for example. Quoting S. Menard (*Longitudinal Research*, Sage University Paper 76, 1991), H.B. Asher in *Causal Modeling* (Sage, 1976) initially proposed the following set of criteria to be fulfilled:

- The phenomena or variables in question must covary, as indicated for example by differences between experimental and control groups or by nonzero correlation between the two variables.
- The relationship must not be attributable to any other variable or set of variables, i.e., it must not be spurious, but must persist even when other variables are controlled, as indicated for example by successful randomization in an experimental design (no difference between experimental and control groups prior to treatment) or by a nonzero partial correlation between two variables with other variable held constant.
- The supposed cause must precede or be simultnaeous with the supposed effect in time, as indicated by the change in the cause occuring no later than the associated change in the effect.

While the first two criteria can easily be checked using a cross-sectional or time-ordered cross-sectional study, the latter can only be assessed with longitudinal data, except for biological or genetic characteristics for which temporal order can be assume without longitudinal data. Of course, the situation becomes more complex in case of a non-recursive causal relationship.

I also like the following illustration (Chapter 13, in the aforementioned reference) which summarizes the approach promulgated by Hill (1965) which includes 9 different criteria related to causation effect, as also cited by @James. The original article was indeed entitled "The environment and disease: association or causation?" ([PDF version][4]).

![Hill1965][5]

Finally, Chapter 2 of Rothman's most famous book, *Modern Epidemiology* (1998, Lippincott Williams & Wilkins, 2nd Edition), offers a very complete discussion around causation and causal inference, both from a statistical and philosophical perspective.

I'd like to add the following references (roughly taken from an online course in epidemiology) are also very interesting:

* Swaen, G and van Amelsvoort, L (2009). [A weight of evidence approach to causal inference][6]. *Journal of Clinical Epidemiology*, *62*, 270-277.
* Botti, C, Comba, P, Forastiere, F, and Settimi, L (1996). [Causal inference in environmental epidemiology. the role of implicit values][7]. *The Science of the Total Environment*, *184*, 97-101.
* Weed, DL (2002). [Environmental epidemiology. Basics and proof of cause effect][8]. *Toxicology*, *181-182*, 399-403.
* Franco, EL, Correa, P, Santella, RM, Wu, X, Goodman, SN, and Petersen, GM (2004). [Role and limitations of epidemiology in establishing a causal association][9]. *Seminars in Cancer Biology*, *14*, 413–426.

Finally, this review offers a larger perspective on causal modeling, [Causal inference in statistics: An overview][10] (J Pearl, SS 2009 (3)).


  [1]: http://occmed.oxfordjournals.org/content/56/6/434.2.full
  [2]: http://en.wikipedia.org/wiki/Cohort_study
  [3]: http://en.wikipedia.org/wiki/Cross-sectional_study
  [4]: http://epiville.ccnmtl.columbia.edu/assets/pdfs/Hill_1965.pdf
  [5]: http://i.imgur.com/BNQEa.png
  [6]: http://www.uc.pt/en/fmuc/phdhs/Courses/Epidemiology/A_weight_of_evidence_approach_to_causal_inference.pdf
  [7]: http://www.uc.pt/en/fmuc/phdhs/Courses/Epidemiology/Causal_inference_in_environmental_epidemiology._the_role_of_implicit_values.pdf
  [8]: http://www.uc.pt/en/fmuc/phdhs/Courses/Epidemiology/Environmental_epidemiology._Basics_and_proof_of_cause.effect.pdf
  [9]: http://www.uc.pt/en/fmuc/phdhs/Courses/Epidemiology/Role_and_limitations_of_epidemiology_in_establishing_a_causal_association.pdf
  [10]: http://www.i-journals.org/ss/viewarticle.php?id=57
