## [When to use (non)parametric test of homoscedasticity assumption?](http://stats.stackexchange.com/questions/2591/when-to-use-nonparametric-test-of-homoscedasticity-assumption)

It seems that the FK test is to be prefered in case of strong departure from the normality (to which the Bartlett test is sensible). Quoting the on-line help, 

> The Fligner-Killeen (median) test has
> been determined in a simulation study
> as one of the many tests for
> homogeneity of variances which is most
> robust against departures from
> normality, see Conover, Johnson &
> Johnson (1981).

Generally speaking, the Levene test works well in the ANOVA framework, providing there are small to moderate deviations from the normality. In this case, it outperfoms the Bartlett test. If the distribution are nearly normal, however, the Bartlett test is better. I've also heard of the Brown–Forsythe test as a non-parametric alternative to the Levene test. Basically, it relies on either the median or the trimmed mean (as compared to the mean in the Levene test). According to Brown and Forsythe (1974), a test based on the mean provided the best power for symmetric distributions with moderate tails.

In conclusion, I would say that if there is strong evidence of departure from the normality (as seen e.g., with the help of a Q-Q plot), then use a non-parametric test (FK or BF test); otherwise, use Levene or Bartlett test.

There was also a small discussion about this test for small and large samples in the R Journal, last year, [asympTest: A Simple R Package for Classical Parametric Statistical Tests and Confidence Intervals in Large Samples][1]. It seems that the FK test is also available through the `coin` interface for permutation tests, see the [vignette][2].

**References**

Brown, M. B. and Forsythe, A. B. (1974). Robust Tests for Equality of Variances. _JASA_, _69_, 364-367.

  [1]: http://journal.r-project.org/archive/2009-2/RJournal_2009-2_Coeurjolly~et~al.pdf
  [2]: http://cran.r-project.org/web/packages/coin/vignettes/coin.pdf
