## [Good resource to understand anova and ancova?](http://stats.stackexchange.com/questions/2730/good-resource-to-understand-anova-and-ancova)

So, in addition to this paper, [Misunderstanding Analysis of Covariance][1], which enumerates common pitfalls when using ANCOVA, I would recommend starting with:

* Frank Harrell's [homepage][2], especially his handout on [Regression Modeling Strategies][3] and [Biostatistical Modeling][4]
* John Fox's [homepage][5] includes great material on [Linear Model][6]
* [Practical Regression and Anova using R][7]

This is mostly R-oriented material, but I feel you might better catch the idea if you start playing a little bit with these models on toy examples or real datasets (and R is great for that).

As for a good book, I would recommend [*Design and Analysis of Experiments*][8] by Montgomery (now in its 7th ed.); ANCOVA is described in chapter 15. [*Plane Answers to Complex Questions*][9] by Christensen is an excellent book on the theory of linear model (ANCOVA in chapter 9); it assumes a good mathematical background. Any biostatistical textbook should cover both topics, but I like [*Biostatistical Analysis*][10] by Zar (ANCOVA in chapter 12), mainly because this was one of my first textbook.

And finally, H. Baayen's textbook is very complete, [Practical Data Analysis for the Language Sciences with R][11]. Although it focus on linguistic data, it includes a very comprehensive treatment of the Linear Model and mixed-effects models.


  [1]: http://mres.gmu.edu/pmwiki/uploads/Main/ancova.pdf
  [2]: http://biostat.mc.vanderbilt.edu/wiki/Main/FrankHarrell
  [3]: http://biostat.mc.vanderbilt.edu/wiki/Main/RmS
  [4]: http://biostat.mc.vanderbilt.edu/wiki/pub/Main/BioMod/notes.pdf
  [5]: http://socserv.mcmaster.ca/jfox/
  [6]: http://en.wikipedia.org/wiki/Linear_model
  [7]: http://cran.r-project.org/doc/contrib/Faraway-PRA.pdf
  [8]: http://eu.wiley.com/WileyCDA/WileyTitle/productCd-EHEP000137.html
  [9]: http://www.springer.com/statistics/statistical+theory+and+methods/book/978-0-387-95361-8
  [10]: http://www.pearsonhighered.com/educator/product/Biostatistical-Analysis/9780131008465.page
  [11]: http://magnuson.psy.uconn.edu/mirman/R/Baayen.pdf?bcsi_scan_D99544420D78AF92=0&bcsi_scan_filename=Baayen.pdf
