## [kNN randomization test in R?](http://stats.stackexchange.com/questions/2950/knn-randomization-test-in-r)

I am not sure to understand your question since you talk about k-means, which is basically an *unsupervised method* (i.e. where classes are not known a priori), while at the same time you are saying that you already identified groups of individuals. So I would suggest to look at classification methods, or other *supervised methods* where class membership is known and the objective is to find a weighted combination of your variables that minimize your classification error rate (this is just an example). For instance, [LDA][1] does a good job (see the CRAN task view on [Multivariate Statistics][2]), but look also at the machine learning community (widely represented on the stats.stackexchange) for other methods.

Now since you also talked of k-nearest neighbor, I wonder if you are not introducing a confusion between k-means and [kNN][3]. In this case, the corresponding R function is `knn()` in the [class][4] package (it includes cross-validation), or see the [kknn][5] package.


  [1]: http://en.wikipedia.org/wiki/Linear_discriminant_analysis
  [2]: http://cran.r-project.org/web/views/Multivariate.html
  [3]: hhttp://en.wikipedia.org/wiki/K-nearest_neighbor_algorithm
  [4]: http://cran.r-project.org/web/packages/class/index.html
  [5]: http://cran.r-project.org/web/packages/kknn/index.html
