## [Calculating False Acceptance Rate for a Gaussian Distribution of scores](http://stats.stackexchange.com/questions/3489/calculating-false-acceptance-rate-for-a-gaussian-distribution-of-scores)

Just to add to other responses, here is a brief recap' on terminology.

For any biometric or classification system, the main performance indicator is the [receiver operating characteristic][1] (ROC) curve, which is a plot of true acceptance rate (TAR=1-FRR, the false rejection rate) against false acceptance rate (FAR), which is computed as the *number of false instances classified as positive among all intruder and impostor cases*. The closer the curve is to the top left corner, the better it is (this corresponds to maximizing the so-called area under the curve or AUC). Generally, such curves are generated offline from a database of previous records. In the biometric literature, FAR is sometimes defined such that the "impostor" makes zero effort to obtain a match. Here, I'm roughly quoting *[Biometrics][2]*, from Boulgouris et al. (chap. 26). 

So, you may choose your cutoff by using standard ROC tools (search for "ROC analysis" on [Rseek][3]) to find the best compromise between FAR and TAR (this is not necessarily that cutoff that maximizes the AUC, it depends on your objectives).
 

Now, as has been highlighted in other responses, this compromise between FAR and TAR led to similar interpretation in psychophysics, classification, or biomedical science. It's just a matter of terminology, and we often speak of Hit rate *vs.* False Alarm rate; sensibility *vs.* specificty.

**Note**

Here are some pictures to complement other responses, which I hope will help you to draw the parallel with decision theory and statistical testing.

Let an individual be facing a two-alternative choice experiment. Depending on the location of his internal criterion, his response may lead to Hit or False Alarm (response > criterion), or alternatively Correct Rejection or Miss (response < criterion). The corresponding probabilistic response curve resemble your situation.

![alt text][4]

Most classical textbooks on Statistics provide a Table similar to the one below, where we describe the probabilities of incorrectly rejecting a null hypothesis ($\alpha$) vs. falsely “accepting” the null ($\beta$) where in fact the alternative is true.

![alt text][5]

This leads to quite the same picture as with the psychophysical threshold model:
![alt text][6]


  [1]: http://en.wikipedia.org/wiki/Receiver_operating_characteristic
  [2]: http://books.google.fr/books?id=fefutm-Dhy0C&printsec=frontcover&dq=biometrics+boulgouris&source=bl&ots=etdSIp3ahh&sig=0D8m0AG45RQSIMmGLU7nFbGo4LE&hl=fr&ei=lmW0TOfwMNTa4AbG_8mgDQ&sa=X&oi=book_result&ct=result&resnum=1&ved=0CBgQ6AEwAA
  [3]: http://www.rseek.org/
  [4]: http://i.imgur.com/2yunb.png
  [5]: http://i.imgur.com/Cwhns.png
  [6]: http://i.imgur.com/KRJ3B.png
