## [Cox regression and time scale](http://stats.stackexchange.com/questions/3611/cox-regression-and-time-scale)

Usually, age at baseline is used as a covariate (because it is often associated to disease/death), but it can be used as your time scale as well (I think it is used in some longitudinal studies, because you need to have enough people at risk along the time scale, but I can't remember actually -- just found these slides about [Analysing cohort studies assuming a continuous time scale][1] which talk about cohort studies). In the interpretation, you should replace event time by age, and you might include age at diagnosis as a covariate. This would make sense when you study age-specific mortality of a particular disease (as illustrated in these [slides][2]).

Maybe this article is interesting since it contrasts the two approaches, time-on-study vs. chronological age: [Time Scales in Cox Model: Effect of Variability Among Entry Ages on Coefficient Estimates][3]. Here is another paper:

Cheung, YB, Gao, F, and Khoo, KS (2003). [Age at diagnosis and the choice of survival analysis methods in cancer epidemiology][4]. *Journal of Clinical Epidemiology*, 56(1), 38-43.

But there are certainly better papers.


  [1]: http://staff.pubhealth.ku.dk/~bxc/SPE.2002/Slides/survival.pdf
  [2]: http://www.dina.dk/~torbenm/DINA/survival/L4.pdf
  [3]: http://stat.fsu.edu/techreports/M996.pdf
  [4]: http://www.jclinepi.com/article/S0895-4356(02)00536-X/abstract
