## [Where to cut a dendrogram?](http://stats.stackexchange.com/questions/3685/where-to-cut-a-dendrogram)

There is no definitive answer since cluster analysis is essentially an exploratory approach; the interpretation of the resulting hierarchical structure is context-dependent and often several solutions are equally good from a theoretical point of view.

Several clues were given in a related question, [What stop-criteria for agglomerative hierarchical clustering are used in practice?][1] I generally use visual criteria, e.g. silhouette plots, and some kind of numerical criteria, like Dunn’s validity index, Hubert's gamma, G2/G3 coefficient, or the corrected Rand index. Basically, we want to know how well the original distance matrix is approximated in the cluster space, so a measure of the [cophenetic correlation][2] is also useful. I also use k-means, with several starting values, and the [gap statistic][3] to determine the number of clusters that minimize the within-SS. The concordance with Ward hierarchical clustering gives an idea of the stability of the cluster solution (You can use `matchClasses()` in the [e1071][4] package for that).

You will find useful resources in the CRAN Task View [Cluster][5], including [pvclust][6], [fpc][7], [clv][8], among others. Also worth to give a try is the [clValid][9] package ([described][10] in the *Journal of Statistical Software*).

Now, if your clusters change over time, this is a bit more tricky; why choosing the first cluster-solution rather than another? Do you expect that some individuals move from one cluster to another as a result of an underlying process evolving with time?

There are some measure that try to match clusters that have a maximum absolute or relative overlap, as was suggested to you in your preceding question. Look at [Comparing Clusterings - An Overview][11] from Wagner and Wagner.


  [1]: http://stats.stackexchange.com/questions/2597/what-stop-criteria-for-agglomerative-hierarchical-clustering-are-used-in-practice
  [2]: http://en.wikipedia.org/wiki/Cophenetic_correlation
  [3]: http://gremlin1.gdcb.iastate.edu/MIP/gene/MicroarrayData/gapstatistics.pdf
  [4]: http://cran.r-project.org/web/packages/e1071/index.html
  [5]: http://cran.r-project.org/web/views/Cluster.html
  [6]: http://cran.r-project.org/web/packages/pvclust/index.html
  [7]: http://cran.r-project.org/web/packages/fpc/index.html
  [8]: http://cran.r-project.org/web/packages/clValid/index.html
  [9]: http://cran.r-project.org/web/packages/clValid/index.html
  [10]: http://www.jstatsoft.org/v25/i04/paper
  [11]: http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.164.6189&rep=rep1&type=pdf
