## [Data transformation for Principal Components Analysis from different likert scales](http://stats.stackexchange.com/questions/3810/data-transformation-for-principal-components-analysis-from-different-likert-scale)

As suggested by @whuber, you can "abstract" the scale effect by working with a standardized version of your data. If you're willing to accept that an interval scale is the support of each of your item (i.e. the distance between every two response categories would have the same meaning for every respondents), then linear correlations are fine. But you can also compute [polychoric correlation][1] to better account for the discretization of a latent variable (see the R package [polycor][2]). Of note, it's a largely more computer-intensive job, but it works quite well in R.

Another possibility is to combine optimal scaling within your PCA, as implemented in the [homals][3] package. The idea is to find a suitable non-linear transformation of each scale, and this is very nicely described by Jan de Leeuw in the accompagnying vignette or the JSS article, [Gifi Methods for Optimal Scaling in R: The Package homals][4]. There are several examples included.

For a more thorough understanding of this approach with any factorial method, see the work of [Yoshio Takane][5] in the 80s.

Similar points were raised by @Jeromy and @mbq on related questions, [Does it ever make sense to treat categorical data as continuous?][6], [How can I use optimal scaling to scale an ordinal categorical variable?][7]


  [1]: http://en.wikipedia.org/wiki/Polychoric_correlation
  [2]: http://cran.r-project.org/web/packages/polycor/index.html
  [3]: http://cran.r-project.org/web/packages/homals/index.html
  [4]: http://www.jstatsoft.org/v31/i04/paper
  [5]: http://takane.brinkster.net/Yoshio/
  [6]: http://stats.stackexchange.com/questions/539/does-it-ever-make-sense-to-treat-categorical-data-as-continuous
  [7]: http://stats.stackexchange.com/questions/548/how-can-i-use-optimal-scaling-to-scale-an-ordinal-categorical-variable
