## [AIC and SC value](http://stats.stackexchange.com/questions/3984/aic-and-sc-value)

It is quite difficult to answer your question in a precise manner, but it seems to me you are comparing two criteria (information criteria and p-value) that don't give the same information. For all information criteria (AIC, or Schwarz criterion), the smaller they are the better the fit of your model is (from a statistical perspective) as they reflect a trade-off between the lack of fit and the number of parameters in the model; for example, the Akaike criterion reads $-2\log(\ell)+2k$, where $k$ is the number of parameters. However, unlike AIC, SC is consistent: the probability of choosing incorrectly a bigger model converges to 0 as the sample size increases. They are used for comparing models, but you can well observe a model with significant predictors that provide poor fit (large residual deviance). If you can achieve a different model with a lower AIC, this is suggestive of a poor model. And, if your sample size is large, $p$-values can still be low which doesn't give much information about model fit. At least, look if the AIC shows a significant decrease when comparing the model with an intercept only and the model with covariates. However, if your interest lies in finding the best subset of predictors, you definitively have to look at methods for variable selection.

I would suggest to look at *penalized regression*, which allows to perform variable selection to avoid overfitting issues. This is discussed in Frank Harrell's Regression Modeling Strategies (p. 207 ff.), or Moons et al., [Penalized maximum likelihood estimation to directly adjust diagnostic and prognostic prediction models for overoptimism: a clinical example][4], J Clin Epid (2004) 57(12). 

See also the [Design][1] (`lrm`) and [stepPlr][2] (`step.plr`) R packages, or the [penalized][3] package. You may browse related questions on *variable selection* on this SE.


  [1]: http://cran.r-project.org/web/packages/Design/index.html
  [2]: http://cran.r-project.org/web/packages/stepPlr/index.html
  [3]: http://cran.r-project.org/web/packages/penalized/index.html
  [4]: http://www.jclinepi.com/article/S0895-4356(04)00171-4/abstract
