## [What is the difference between effectiveness and efficacy in determining the benefit of therapy 'A' on condition 'B'?](http://stats.stackexchange.com/questions/4316/what-is-the-difference-between-effectiveness-and-efficacy-in-determining-the-bene)

I'm not a specialist of this domain in epidemiological studies, but it seems to me that *efficacy* has to do with the observed effect in a controlled setting, like a randomized clinical trial, whereas *effectiveness* has more to do with a larger range of outcomes or environmental factors (potentially unobserved or non manipulated in the RCT), hence it has a wider scope. At least, I've often heard of [cost-effectiveness][1] studies in pharmacoeconomics, and treatment efficacy (e.g., when comparing two treatment arms).

Quoting this article [Efficacy, effectiveness, efficiency][2],

* efficacy is "the extent to which a drug has the ability to bring about its intended effect under ideal circumstances, such as in a randomised clinical trial"
* effectiveness is "the extent to which a drug achieves its intended effect in the usual clinical setting"

As for other references, I would suggest starting with [Pitfalls of Multisite Randomized Clinical Trials of Efficacy and Effectiveness][3] from Helena C Kraemer (*Schizophrenia Bulletin* 26(3), 2000), and references therein. For example, it is read that "efficacy and effectiveness are opposite extremes on a complex multidimensional continuum of decision making in research design".

**Note**

Coming back from the [ISPOR][4] 13th European conference, I've heard that the European Federation of Pharmaceutical Industries and Associations ([EFPIA][5]) considers there's now agreement on the following definitions:

* *relative efficacy* can be defined as the extent to which an intervention does more good than harm, under ideal circumstances, compared to one or more alternative interventions;
* *relative effectiveness* can be defined as the extent to which an intervention does more good than harm compared to one or more alternatives for achieving the desired results when provided under the usual circumstances of health care practice.



  [1]: http://en.wikipedia.org/wiki/Cost-effectiveness_analysis
  [2]: http://www.australianprescriber.com/magazine/23/6/114/5/
  [3]: http://schizophreniabulletin.oxfordjournals.org/content/26/3/533.full.pdf
  [4]: http://www.ispor.org/
  [5]: http://www.efpia.org
