## [What is the difference between statistics and biostatistics?](http://stats.stackexchange.com/questions/4394/what-is-the-difference-between-statistics-and-biostatistics)

When I look at the Wikipedia entry for [biostatistics][1], the relation to *biometrics* doesn't seem so obvious to me since, historically, biometrics was more concerned with characterizing individuals by some phenotypes of interest, with large applications in population genetics (as exemplified by the work of Fisher), whereas part of this discipline now focus on biometric systems (whose objectives are the "recognition or identification of individuals based on some physical or behavioral characteristics that are intrinsically unique for each individual", according to Boulgouris et al., *Biometrics*, 2010). Anyway, there still are reviews like [Biometrika][2] and [Biometrics][3]; although I read the latter on an irregular basis, most articles focus on "biostatistical" theoretical or applied work. The same applies for [Biostatistics][4]. By "biostatistical" applications, I mean that it has to do with applications or models related to the biomedical domain, in a wide sense (biology, health science, genetics, etc.). 

According to the *Encyclopedia of Biostatistics* (2005, 2nd ed.), 

> (...) As is clear from the above examples,
> biostatistics is problem oriented. It
> is specifically directed to questions
> that arise in biomedical science. The
> methods of biostatistics are the
> methods of statistics -- concepts
> directed at variation in observations
> and methods for extracting information
> from observations in the face of
> variation from various sources, but
> notably from variation in the
> responses of living organisms and
> particularly human beings under study.
> Biostatistical activity spans a broad
> range of scientific inquiry, from the
> basic structure and functions of human
> beings, through the interactions of
> human beings with their environment,
> including problems of environmental
> toxicities and sanitation, health
> enhancement and education, disease
> prevention and therapy, the
> organization of health care systems
> and health care financing.

In sum, I think that Biostatistics is part of a super-family--Statistics--, and share most of its methods, but has a more focused area of interest (hence, an historical background, specific designs, and a general theoretical framework) and dedicated modeling strategies.

  [1]: http://en.wikipedia.org/wiki/Biostatistics
  [2]: http://biomet.oxfordjournals.org/
  [3]: http://www.biometrics.tibs.org/
  [4]: http://biostatistics.oxfordjournals.org/
