## [Make R report error on using non-existent column name in a data frame](http://stats.stackexchange.com/questions/4401/make-r-report-error-on-using-non-existent-column-name-in-a-data-frame)

Maybe, you can enclose your code into try-catch blocks, see `?try` and the associated examples. It is easy to test for the class of the results ("try-error") in turn, e.g.

    > res <- try(log("A"), silent=TRUE)
    > class(res)
    [1] "try-error"

You can also test directly for the correct spelling, by first listing the variables of interest--in your case, `MYVAR` and `WEIGHT`-- and test that they are part of the data.frame `df`, e.g.

    df <- data.frame(x=rnorm(100), g1=gl(2, 50), g2=gl(5,20))
    sel.vars <- c("x","g2")
    ifelse(all(sel.vars %in% colnames(df)), <compute things here>, "fail") 

