## [Estimating the probability of a person getting a question right](http://stats.stackexchange.com/questions/4403/estimating-the-probability-of-a-person-getting-a-question-right)

If I understand your question correctly, you have a set of items (pass-fail) and you want to assess the probability of endorsing the $k$th item given its preceding responses? If that's the case, what is usually done in psychometrics for educational assessment is to rely on [Item Response Model][1], like the [Rasch Model][2]. In short, you model the probability of endorsing an item as a function of item difficulty and person ability (the more proficient an individual is, the more likely his response to an easy item will be correct). This assumes that the content you are assessing is unidimensional, and that the items can be ordered by difficulty on that scale. A [Guttman model][3] is rarely applicable, so we may allow for some "imperfect" response patterns (e.g., 111011101110000, the 4th and 8th items were failed although the examinee reached the 11th item before giving up), but the sum score is a sufficient statistic for the Rasch Model. Under this approach, you need to have responses from other individuals on the same set of items. To get an idea, look at the `LSAT` data set and the way it is analysed in the [ltm][4] R package.

I have described a psychometrical model, not a purely probabilistic framework for estimating the probability of failing after the $k$th item, with all other items right (this would follow a geometric law).


  [1]: http://en.wikipedia.org/wiki/Item_response_theory
  [2]: http://en.wikipedia.org/wiki/Rasch_model
  [3]: http://en.wikipedia.org/wiki/Guttman_scale
  [4]: http://cran.r-project.org/web/packages/ltm/index.html
