## [Typographic conventions for width of figures in LaTeX data analysis reports](http://stats.stackexchange.com/questions/4501/typographic-conventions-for-width-of-figures-in-latex-data-analysis-reports)

I'll second @onestop comment about the fact that this question seems marginally related to statistical analysis or reporting. 

That being said, I can't refrain from thinking of Ed. Tufte's work on the display of quantitative information, especially the design of his books which mixes different graphics layouts: some figures or tables are put in the margin, other in the body with caption in the margin, and large figures may extend beyond the body (full page width). The [tufte-latex][1] project offers $\LaTeX$ classes for articles/handouts and books in the spirit of Ed. Tufte's design. Some examples are included on the project page; I particularly like the [example handout][2].
On a related point, I also like the [tutorial][4] from the [vegan][3] R package.

My personal approach is to use 80% or 100% of text width (and keep it consistent across all the document), but I often play with the `width`, `height`, and `cex` arguments of `pdf()` when exporting figure so as to get the most clean and readable figure. It also happens to me to rely on a different layout--figure 60% and caption 40%, side by side, 100% of text width--for small illustrations or graphics.


  [1]: http://code.google.com/p/tufte-latex/
  [2]: http://tufte-latex.googlecode.com/files/sample-handout-3.5.0.pdf
  [3]: http://cran.r-project.org/web/packages/vegan/index.html
  [4]: http://cc.oulu.fi/~jarioksa/opetus/metodi/vegantutor.pdf
