## [Inserting small arrows (triangles) in bottom axis pointing up with R](http://stats.stackexchange.com/questions/4491/inserting-small-arrows-triangles-in-bottom-axis-pointing-up-with-r)

I prefer to use dedicated symbol for that purpose. For example, use `points()` with `pch=17` (filled triangle) like in the example below:

    dd <- dotplot(m~i|p,data=res.EQ.long,subset=i %in% eq5d.items.names[1:5],
                  ylab="Score",ylim=c(0.5,3.5),  
                  scales=list(x=list(rot=45,at=1:5,
                              labels=eq5d.items.names[1:5],cex=c(.8,.8))),
                  main="EQ-5D",
    	          panel=function(x,y,subscripts,...){
    			  panel.dotplot(x,y,...)
    			  panel.lines(x=c(1,5),y=3,lwd=1.5, col="gray50")
    			  panel.segments(x0=c(1,3,5),y0=rep(2.95,3),
                                 x1=c(1,3,5),y1=rep(3.05,5),
                                 lwd=1.5, col="gray50")
    			  panel.text(x=c(1,3,5),y=3,c(0,50,100),cex=.6,pos=3)
    			  panel.text(x=3,y=3.2,"Health State",cex=.6,pos=3)
    			  panel.points(x=(4*ref[packet.number()])/100+1,y=2.9,
                               pch=17)
    			  panel.points(x=1:5,y=res.EQ2[1:5,packet.number()],
                               col="red",pch=19,cex=.6)
    	          },
                  key=list(text=list(c("Mean","Median")),x=0.7,y=0.9,
                           lines=list(col=c("blue","red"),type="p",
                           pch=19,cex=.8)))
    print(dd)

![alt text][1]

The complete list of symbols can be obtained with `show.pch()` from the [Hmisc][2] package.


  [1]: http://i.imgur.com/ikc4z.png
  [2]: http://cran.r-project.org/web/packages/Hmisc/index.html
