## [Identifying Interaction Effects](http://stats.stackexchange.com/questions/4901/identifying-interaction-effects)

Cox and Wermuth (1996) or Cox (1984) discussed some methods for detecting interactions. The problem is usually how general the interaction terms should be. Basically, we 
(a) fit (and test) all second-order interaction terms, one at a time, and (b) plot their corresponding p-values (i.e., the No. terms as a function of $1-p$). The idea is then to look if a certain number of interaction terms should be retained: Under the assumption that all interaction terms are null the distribution of the p-values should be uniform (or equivalently, the points on the scatterplot should be roughly distributed along a line passing through the origin).

Now, as [@Gavin][1] said, fitting many (if not all) interactions might lead to overfitting, but it is also useless in a certain sense (some high-order interaction terms often have no sense at all). However, this has to do with interpretation, not detection of interactions, and a good review was already provided by Cox in [Interpretation of interaction: A review][2] (*The Annals of Applied Statistics* 2007, 1(2), 371–385)--it includes references cited above. Other lines of research worth to look at are study of [epistatic effects][3] in genetic studies, in particular methods based on graphical models (e.g., [An efficient method for identifying statistical interactors in gene association networks][4]).


  [1]: http://stats.stackexchange.com/questions/4901/identifying-interaction-effects/4903#4903
  [2]: http://arxiv.org/PS_cache/arxiv/pdf/0712/0712.1106v1.pdf
  [3]: http://en.wikipedia.org/wiki/Epistasis
  [4]: http://biostatistics.oxfordjournals.org/content/early/2009/07/22/biostatistics.kxp025.abstract
