## [Two-sample test for multivariate normal distributions under the assumption that means are the same](http://stats.stackexchange.com/questions/5275/two-sample-test-for-multivariate-normal-distributions-under-the-assumption-that-m)

The [Mauchly's test][1] allows to test if a given covariance matrix is proportional to a reference (identity or other) and is available through `mauchly.test()` under R. It is mostly used in repeated-measures design (to test (1) if the dependent variable VC matrices are equal or homogeneous, and (2) whether the correlations between the levels of the within-subjects variable are comparable--altogether, this is known as the *sphericity assumption*).

Box’s M statistic is used (in MANOVA or LDA) to test for homogeneity of covariance matrices, but as it is very sensitive to normality it will often reject the null ([R code][2] not available in standard packages).

Covariance structure models as found in [Structural Equation Modeling][3] are also an option for more complex stuff (although in multigroup analysis testing for the equality of covariances makes little sense if the variances are not equal), but I have no references to offer actually.

I guess any textbook on multivariate data analysis would have additional details on these procedures. I also found this article for the case where normality assumption is not met:

> Aslam, S and Rocke, DM. [A robust
> testing procedure for the equality of
> covariance matrices][4], Computational
> Statistics & Data Analysis 49 (2005)
> 863-874


  [1]: http://en.wikipedia.org/wiki/Mauchly's_sphericity_test
  [2]: http://finzi.psych.upenn.edu/R/Rhelp02a/archive/33330.html
  [3]: http://en.wikipedia.org/wiki/Structural_equation_modeling
  [4]: http://dmrocke.ucdavis.edu/papers/Aslam.Rocke.2005.pdf
