## [What are some alternatives to a boxplot?](http://stats.stackexchange.com/questions/5854/what-are-some-alternatives-to-a-boxplot)

A boxplot isn't that complicated. After all, you just need to compute the three [quartiles][1], and the min and max which define the range; a subtlety arises when we want to draw the whiskers and various methods have been proposed. For instance, in a [Tukey boxplot][2] values outside 1.5 times the inter-quartile from the first or third quartile would be considered as outliers and displayed as simple points. See also [Methods for Presenting Statistical Information: The Box Plot for a good overview][3], by Kristin Potter. The [R][4] software implements a slightly different rule but the source code is available if you want to study it (see the `boxplot()` and `boxplot.stats()` functions). However, it is not very useful when the interest is in identifying outliers from a very skewed distribution (but see, [An adjusted boxplot for skewed distributions][5], by Hubert and Vandervieren, CSDA 2008 52(12)).

As far as online visualization is concerned, I would suggest taking a look at [Protovis][6] which is a plugin-free js toolbox for interactive web displays. The [examples][7] page has very illustrations of what can be achieved with it, in very few lines.


  [1]: http://en.wikipedia.org/wiki/Quartile
  [2]: http://mathworld.wolfram.com/Box-and-WhiskerPlot.html
  [3]: http://j.mp/hS5RJW
  [4]: http://cran.r-project.org/
  [5]: ftp://ftp.win.ua.ac.be/pub/preprints/04/AdjBox04.pdf
  [6]: http://vis.stanford.edu/protovis/
  [7]: http://vis.stanford.edu/protovis/ex/
