## [Regression with an unknown dependent variable - estimating “likelihood” to do something](http://stats.stackexchange.com/questions/5975/regression-with-an-unknown-dependent-variable-estimating-likelihood-to-do-som)

I agree with @Aniko that you won't be able to "predict" anything without an outcome. Now @Andy suggestion makes sense, provided you find a users database sharing similar characteristics. As an example of related studies, I guess you might find interesting google hits on users' characteristics in studies on Twitter, Facebook or other social networks or community driven sites. Here is a couple of references that I just found: [Comparing community structure to characteristics in online collegiate social networks][1] (Traud et al.,  [arXiv:0809.0690][2]); [Social Computing Privacy Concerns: Antecedents & Effects][3] (Nov and Wattal, CHI 2009).

Aside from users' characteristics, willingness to particpate or contribute to a social network is also a function of its characteristics (number of members, contact frequency, content quality, etc.).

Finally, you still can do some kind of exploratory analysis on your data set. Specifically, a cluster analysis would help to highlight groups of individuals sharing similar response profiles. Another approach would be to use [Multiple correspondence analysis][4] to uncover potentially interesting patterns in your data. Those features might be related to already published results in a further step. Obviously, you can't regress an outcome that is still to be observed from this, but you will certainly get a better idea of how structured your data are.


  [1]: http://www.amath.unc.edu/Faculty/mucha/Reprints/facebook.pdf
  [2]: http://arxiv.org/abs/0809.0690
  [3]: http://faculty.poly.edu/~onov/Nov%20Wattal%20CHI%202009%20Social%20Computing%20and%20Privacy%20Concerns.pdf
  [4]: http://en.wikipedia.org/wiki/Multiple_correspondence_analysis
