## [An R function for performing searches](http://stats.stackexchange.com/questions/6005/an-r-function-for-performing-searches)

You should first replace your for loop with something like `apply(d7_dataset, 1, foo)`, where `foo()` is either your function or something along those lines, e.g. `gregexpr()`. The result of `gregexpr()` is a list of numeric vectors with attributes similar to `regexpr()` but giving all matches in each element.

On a related point, there was another function that was proposed as a more user-friendly alternative to `gregexpr()`: [easyGregexpr][1].

The following example gives you the number of matches for each row when considering a list of three motifs (in a 10x100 matrix):

    dd <- replicate(100, replicate(10, paste(sample(letters[1:4], 2),    
                                             collapse="")))
    pat <- list("aa", "ab", "cd")
    foo <- function(d, p) apply(d, 1, function(x) length(grep(p, x)))
    lapply(pat, function(x) foo(dd, x))
   

  [1]: http://www.r-bloggers.com/developing-a-user-friendly-regular-expression-function-easygregexpr/
