## [Graph theory — analysis and visualization](http://stats.stackexchange.com/questions/6155/graph-theory-analysis-and-visualization)

There are various packages for representing directed and undirected graphs, incidence/adjacency matrix, etc. in addition to [graph][1]; look for example at the [gR][2] Task view. 

For visualization and basic computation, I think the [igraph][3] package is the reliable one, in addition to [Rgraphviz][4] (on BioC as pointed out by @Rob). Be aware that for the latter to be working properly, [graphviz][5] must be installed too. The [igraph][3] package has nice algorithms for creating good layouts, much like [graphviz][5].

Here is an example of use, starting from a fake adjacency matrix:

    adj.mat <- matrix(sample(c(0,1), 9, replace=TRUE), nr=3)
    g <- graph.adjacency(adj.mat)
    plot(g)

![alt text][6]


  [1]: http://cran.r-project.org/web/packages/graph/index.html
  [2]: http://cran.r-project.org/web/views/gR.html
  [3]: http://cran.r-project.org/web/packages/igraph/index.html
  [4]: http://www.bioconductor.org/packages/release/bioc/html/Rgraphviz.html
  [5]: http://www.graphviz.org/
  [6]: http://i.imgur.com/Vjn2D.png
