## [How to fix the threshold for statistical validity of p-values produced by ANOVAs?](http://stats.stackexchange.com/questions/6453/how-to-fix-the-threshold-for-statistical-validity-of-p-values-produced-by-anovas)

Hey, but it seems you already looked at the results!

Usually, the risk of falsely rejecting the null (Type I error, or $\alpha$) should be decided before starting the analysis. Power might also be fixed to a given value (e.g., 0.80). At least, this is the "Neyman-Pearson" approach. For example, you might consider a risk of 5% ($\alpha=0.05$) for all your hypotheses, and if the tests are not independent you should consider correcting for multiple comparisons, using any single-step or step-down methods you like. 

When reporting your results, you should indicate the Type I (and II, if applicable) error you considered (before seeing the results!), corrected or not for multiple comparisons, and give your p-values as p<.001 or p=.0047 for example. 

Finally, I would say that your tests allow you to reject a given null hypothesis not to prove Hypothesis A or B. Moreover, what you describe as 0.001 being a somewhat stronger indication of an interesting deviation from the null than 0.05 is more in light with the Fisher approach to [statistical hypothesis testing][1].


  [1]: http://en.wikipedia.org/wiki/Statistical_hypothesis_testing
