## [Correcting for multiple comparisons when running a bivariate correlation in SPSS](http://stats.stackexchange.com/questions/6604/correcting-for-multiple-comparisons-when-running-a-bivariate-correlation-in-spss)

This first part of my response won't address your two questions directly since what I am suggesting departs from your correlational approach. If I understand you correctly, you have two blocks of variables, and they play an asymmetrical role in the sense that one of them is composed of response variables (performance on four cognitive tests) whereas the other includes explanatory variables (measures of blood flow at several locations). So, a nice way to answer your question of interest would be to look at [PLS regression][1]. As detailed in an earlier response of mine, [Regression with multiple dependent variables?][2], the correlation between factor scores on the first dimension will reflect the overall link between these two blocks, and a closer look at the weighted combination of variables in each block (i.e., loadings) would help interpreting the contribution of each variable of the $X$ block in predicting the $Y$ block. The [SPSS implementation][3] is detailed on Dave Garson's website. This prevents from using any correction for multiple comparisons.

Back to your specific questions, yes the Bonferroni correction is known to be conservative and step-down methods are to be preferred (instead of correcting the p-values or the test statistic in one shot for all the tests, we adapt the threshold depending on the previous HT outcomes, in a sequential manner).
Look into SPSS documentation (or [Pairwise Comparisons in SAS and SPSS][4]) to find a suitable one, e.g. Bonferroni-Holm.


  [1]: http://en.wikipedia.org/wiki/Partial_least_squares_regression
  [2]: http://stats.stackexchange.com/questions/4517/regression-with-multiple-dependent-variables
  [3]: http://faculty.chass.ncsu.edu/garson/PA765/pls.htm
  [4]: http://www.uky.edu/ComputingCenter/SSTARS/www/documentation/MultipleComparisons_3.htm#b13
