## [How to use variables derived from factor analysis as predictors in logistic regression?](http://stats.stackexchange.com/questions/7481/how-to-use-variables-derived-from-factor-analysis-as-predictors-in-logistic-regre)

If I understand you correctly, you are using FA to extract two subscales from your 11-item questionnaire. They are supposed to reflect some specific dimensions of self-efficacy (for example, self-regulatory vs. self-assertive efficacy).

Then, you are free to use *individual* mean (or sum) scores computed on the two subscales as predictors in a regression model. In others words, instead of considering 11 item scores, you are now working with 2 subscores, computed as described above for each individual. The only assumption that is made is that those scores reflect one's location on an "hypothetical construct" or latent variable, defined as a continuous scale.

As @JMS said, there are other issues that you might further clarify, especially which kind of FA was done. A subtle issue is that measurement error will not be accounted for by a standard regression approach. An alternative is to use [Structural Equation Models][1] or any latent variables model (e.g. those coming from the [IRT][2] literature), but here the regression approach should provide a good approximation. The analysis of ordinal variables (Likert-type item) has been discussed elsewhere on this site. 

However, in current practice, your approach is what is commonly found when validating a questionnaire or constructing scoring rules: We use weighted or unweighted combination of item scores (hence, they are treated as numeric variables) to report individual location on the latent trait(s) under consideration.


  [1]: http://en.wikipedia.org/wiki/Structural_equation_modeling
  [2]: http://en.wikipedia.org/wiki/Item_response_theory
