## [Calculating predicted values from categorical predictors in logistic regression](http://stats.stackexchange.com/questions/7638/calculating-predicted-values-from-categorical-predictors-in-logistic-regression)

My initial thought would have been to display the probability of of acceptance as a function of relative GPA for each of your four schools, using some kind of [trellis displays][1]. In this case, facetting should do the job well as the number of schools is not so large. This is very easy to do with [lattice][2] (`y ~ gpa | school`) or [ggplot2][3] (`facet_grid(. ~ school)`). In fact, you can choose the conditioning variable you want: this can be school, but also situation at undergrad institution. In the latter case, you'll have 4 curves for each plot, and three three plot of `Prob(admitting) ~ GPA`.

Now, if you are looking for effective displays of effects in GLM, I would recommend the [effects][4] package, from John Fox. Currently, it works with binomial and multinomial link, and ordinal logistic model. Marginalizing over other covariates is handled internally, so you don't have to bother with that. There are a lot of illustrations in the on-line help, see `help(effect)`. But, for a more thorough overview of effects displays in GLM, please refer to

1. Fox (2003). [Effect Displays in R for Generalised Linear Models][5]. JSS 8(15).
2. Fox and Andersen (2004). [Effect displays for multinomial and proportional-odds logit models][6]. ASA Methodology Conference -- Here is the corresponding [JSS paper][7]


  [1]: http://cm.bell-labs.com/cm/ms/departments/sia/project/trellis/
  [2]: http://cran.r-project.org/web/packages/lattice/index.html
  [3]: http://had.co.nz/ggplot2/
  [4]: http://cran.r-project.org/web/packages/effects/index.html
  [5]: http://www.jstatsoft.org/v08/i15/paper
  [6]: http://socserv.mcmaster.ca/jfox/Misc/polytomous-effect-displays/polytomous-effect-displays.pdf
  [7]: http://www.jstatsoft.org/v32/i01/paper
