## [How to get a redundancy index when performing canonical correlation analysis in SPSS?](http://stats.stackexchange.com/questions/10066/how-to-get-a-redundancy-index-when-performing-canonical-correlation-analysis-in-s)

As it is not really difficult to import SAV dataset in R nowadays, with e.g.,

    library(foreign)
    df <- read.spss("yourfilename", to.data.frame=TRUE)
	
you can check your SPSS results against one of the R packages that allow to perform CCA (see the CRAN Task View on [Multivariate][1] or [Psychometrics][2] analysis). In particular, the [vegan][3] package offers an handy way to apply CCA and has nice graphical and numerical summary through the `CCorA()` function.
	
Also, note that redundancy indexes apply onto one block of variables, conditional on the other block (hence the distinction you'll find in the aforementioned function between Y|X and X|Y); they are intended to provide a measure of the variance of one set of variables predicted from the linear combination of the other set of variables. However, in essence CCA consider that you have two sets of measures that play a symmetrical role. They are both descriptions of the same individuals or statistical units. If your blocks really play an assymmetric role--that is you have a block of predictors and a block of response variable--then you're better using [PLS regression][4].
	
	
  [1]: http://cran.r-project.org/web/views/Multivariate.html
  [2]: http://cran.r-project.org/web/views/Psychometrics.html
  [3]: http://cran.r-project.org/web/packages/vegan/index.html
  [4]: http://en.wikipedia.org/wiki/Partial_least_squares_regression
