## [Calculating p-value for a two-way ANOVA](http://stats.stackexchange.com/questions/10111/calculating-p-value-for-a-two-way-anova)

The eta-square ($\eta^2$) value you are describing is intended to be used as a measure of *effect size* in the observed data (i.e., your sample), as it amounts to quantify how much of the total variance can be explained by the factor considered in the analysis (that is what you wrote in fact, BSS/TSS). With more than one factor, you can also compute partial $\eta^2$ that reflect the percentage of variance explained by one factor when holding constant the remaining ones.

The F-ratio (BSS/WSS) is the right *test statistic* to use if you want to test the null hypothesis ($H_0$) that there is no effect of your factor (all group means are equal), that is your factor of interest doesn't account for a sufficient amount of variance compared to the residual (unexplained) variance. In other words, we test whether the added explained variance (BSS=TSS-RSS) is large enough to be considered as a "significant quantity". The distribution of the ratio of these two sum of squares (scaled by their corresponding degrees of freedom--this answers one of your question, about why we don't use directly SSs), which individually follow a $\chi^2$ distribution, is known as the [Fisher-Snedecor][1] distribution.

I don't know which software you are using, but 

* If you have R, everything you need for basic modeling is given in the `aov()` base function ($\eta^2$ might be computed with `etasq` from the [heplots][2] package; and there's a lot more to see for diagnostics and plotting in other packages).
* If you're more versed into C programming, you may have a look at the [apophenia][3] library which features a nice set of statistical functions with bindings for MySQL and Python.


  [1]: http://en.wikipedia.org/wiki/F-distribution
  [2]: http://cran.r-project.org/web/packages/heplots/index.html
  [3]: http://apophenia.sf.net/
