## [How to analyse a study looking at relationship between one set of five items (predictors) and a second set of five items (outcomes)](http://stats.stackexchange.com/questions/11270/how-to-analyse-a-study-looking-at-relationship-between-one-set-of-five-items-pre)

About your first question (using Spearman rank correlation with ordinal scales), I think you will find useful responses on this site (search for spearman, likert, ordinal or scale).

About your second question: As I understand the situation, for each dimension (what you call a "section"), you have a set of five questions scored on a 7-point Likert-type scale. If those five questions all define a single construct, that is if we can consider they form an unidimensional scale (such an assumption might be checked, anyway), why don't you use a summated scale score (add up the individuals response to the five responses)? This way, your problem would vanish because then you only have one single estimate for the correlation between, say Perceived ease of use and Weblog publishing. Another option is to use [Canonical Correlation Analysis][1] (CCA) which allows to build maximally correlated linear combinations of two-block data structure, as described in [this response][2]. The pattern of loadings on the two blocks will help you to summarize which item contribute the most information in each block and how they relate each other (under the constraint imposed by CCA). The canonical correlation itself will give you a single number to summarize the association between any two section (again, when considering a linear combination of the 5 questions that compose a section).

For your third question, I would suggest considering [PLS regression][3], where you define one block of variables as outcomes and the other one as predictors. The idea of PLS regression is to build successive linear combinations of the variables belonging to each block such that their covariance (instead of the correlation like in CCA) is maximal, within a regression approach (because there's an asymmetric deflation process when constructing the next linear combination). In other words, you build "latent variables" that account for a maximum of information included in the block of predictors while allowing to predict the block of outcomes with minimal error. As you are working with ordinal data, you can even preprocess each variable with optimal scaling if you want, see for example the [homals][4] package in R, and the papers referenced in the dcocumentation.


  [1]: http://en.wikipedia.org/wiki/Canonical_correlation
  [2]: http://stats.stackexchange.com/questions/8300/correlation-analysis-and-correcting-p-values-for-multiple-testing/8323#8323
  [3]: http://en.wikipedia.org/wiki/Partial_least_squares_regression
  [4]: http://cran.r-project.org/web/packages/homals/index.html
