## [Individuals standard deviations and/or standard errors for groups after implementing ANOVA?](http://stats.stackexchange.com/questions/9121/individuals-standard-deviations-and-or-standard-errors-for-groups-after-implement)

My personal view on this is that

* For *descriptive purpose*, we usually want to show the within-group (i.e., individual) variations (barplot + SD, or better boxplot).
* Within the *inferential context* of the ANOVA, we might rather want to show the SE, 95% CIs, or LSD intervals, for example. Showing 95% CIs has the merit of visually conveying the precision of the estimates, and they are easier to interpret, IMO. In this context, what we really want to show is how good is our estimate of the mean, not so much individual fluctuations on a single sample. Note that the question arises then as to whether we display pooled (when the homoscedasticity assumption holds) or group-specific SEs. We can combine any of the above estimates, of course. E.g., for a one-way ANOVA, we can show 95% CIs associated to each group mean on a barplot and show the overall mean $\pm 1 SE$ next to it. The figure below illustrates this idea by showing the SE for an interaction effect, centered on the overall mean (without the 95% CI):

![enter image description here][1]

Finally, the following paper offers an interesting discussion of the use of error bars when presenting experimental results (and gauging significant difference from non overlapping error bars):

> Cumming, G., Fidler, F., and Vaux,
> D.L. (2007). [Error bars in
> experimental biology][2]. J Cell Biol,
> 177(1): 7-11.


  [1]: http://i.stack.imgur.com/V2qCW.png
  [2]: http://courses.washington.edu/pbio509/CummingFidlerVaux_ErrorBars.pdf
