## [Calculate prediction interval for ridge regression?](http://stats.stackexchange.com/questions/13329/calculate-prediction-interval-for-ridge-regression)

This has been partly discussed on this [related thread](http://stats.stackexchange.com/questions/2121/how-can-i-estimate-coefficient-standard-errors-when-using-ridge-regression). The problem is that this technique introduces bias while trying to decrease the variance of parameter estimates, which works well in situations where multicollinearity does exist. However, the nice properties of the OLS estimators are lost and one has to resort to approximations in order to compute confidence intervals. While I think the bootstrap might offer a good solution to this, here are two references that might be useful:

1. Crivelli, A., Firinguetti, L., Montano, R., and Munoz, M. (1995). Confidence intervals in ridge regression by bootstrapping the dependent variable: a simulation study. *Communications in statistics. Simulation and computation*, 24(3), 631-652.
2. Firinguetti, L. and Bobadilla, G. (2011). [Asymptotic confidence intervals in ridge regression based on the Edgeworth expansion][1]. *Statistical Papers*, 52(2), 287-307.


  [1]: http://www.springerlink.com/content/83428ljn4h6472m0/
