## [What programming language do you recommend to prototype a machine learning problem?](http://stats.stackexchange.com/questions/19889/what-programming-language-do-you-recommend-to-prototype-a-machine-learning-probl)

The [scikit-learn][1] (now `sklearn`) should meet several of the criteria you described (speed, well-designed classes for handling data, models, and results), including targeted applications (L1/L2 penalized regression, SVM, etc.). It comes with a rich [documentation set][2] and a lot of [examples][3]. See also its description in a [paper][4] published in the JMLR.

An alternative framework in Python is [Orange][5], which can be used through a gentle GUI or on the command line directly. For collaborative filtering, [pyrsvd][6] might be interesting but I've never tried it. However, [Apache Mahout][7] might certainly be used for [collaborative filtering][8].


  [1]: http://scikit-learn.org/stable/
  [2]: http://scikit-learn.org/stable/user_guide.html
  [3]: http://scikit-learn.org/stable/auto_examples/index.html
  [4]: http://jmlr.csail.mit.edu/papers/volume12/pedregosa11a/pedregosa11a.pdf
  [5]: http://orange.biolab.si/
  [6]: http://code.google.com/p/pyrsvd/
  [7]: http://mahout.apache.org/
  [8]: http://www.ibm.com/developerworks/java/library/j-mahout/
