## [Introduction to structural equation modeling](http://stats.stackexchange.com/questions/21153/introduction-to-structural-equation-modeling)

I would go for some papers by Múthen and Múthen, who authored the [Mplus][1] software, especially 

1. Múthen, B.O. (1984). [A general structural equation model with dichotomous, ordered categorical and continuous latent indicators][2]. *Psychometrika*, 49, 115–132.
2. Muthén, B., du Toit, S.H.C. & Spisic, D. (1997). Robust inference using weighted least squares and quadratic estimating equations in latent variable modeling with categorical and continuous outcomes. Unpublished technical report.

(Available as PDFs from here: [Weighted Least Squares for Categorical Variables][3].)

There is a lot more to see on Mplus wiki, e.g. [WLS vs. WLSMV results with ordinal data][4]; the two authors are very responsive and always provide detailed answers with accompanying references when possible. Some comparisons of robust weighted least squares *vs.* ML-based methods of analyzing polychoric or polyserial correlation matrices can be found in:

> Lei, P.W. (2009). [Evaluating estimation methods for ordinal data in
> structural equation modeling][5]. *Quality & Quantity*, 43, 495–507.

For other mathematical development, you can have a look at:

> Jöreskog, K.G. (1994) [On the estimation of polychoric correlations
> and their asymptotic covariance matrix][9]. *Psychometrika*, 59(3),
> 381-389. (See also [S-Y Lee][8]'s papers.)

Sophia Rabe-Hesketh and her colleagues also have good papers on SEM. Some relevant references include:

1. Rabe-Hesketh, S. Skrondal, A., and Pickles, A. (2004b). [Generalized multilevel structural equation modeling][6]. *Psychometrika*, 69, 167–190.
2. Skrondal, A. and Rabe-Hesketh, S. (2004). *Generalized Latent Variable Modeling: Multilevel, Longitudinal, and Structural Equation Models*. Chapman & Hall/CRC, Boca Raton, FL. (This is the reference textbook for understanding/working with Stata [gllamm][7].)

Other good resources are probably listed on John Uebersax's excellent website, in particular [Introduction to the Tetrachoric and Polychoric Correlation Coefficients][10]. Given that you are also interested in applied work, I would suggest taking a look at [OpenMx][11] (yet another software package for modeling covariance structure) and [lavaan][12] (which aims at delivering output similar to those of EQS or Mplus), both available under R.


  [1]: http://www.statmodel.com/
  [2]: http://www.springerlink.com/content/k81561w58176368n/
  [3]: http://www.statmodel.com/wlscv.shtml
  [4]: http://www.statmodel.com/discussion/messages/23/62.html?1257478851
  [5]: http://www.springerlink.com/content/x102776v22107062/
  [6]: http://www.gllamm.org/PMmsem_04.pdf
  [7]: http://www.gllamm.org/
  [8]: http://www.sta.cuhk.edu.hk/sylee/publication3.html
  [9]: http://www.springerlink.com/content/wqw7202517735757/
  [10]: http://www.john-uebersax.com/stat/tetra.htm
  [11]: http://openmx.psyc.virginia.edu/
  [12]: http://lavaan.ugent.be/
