## [How to convert molecular categorical variables to dummy variables for cluster analysis?](http://stats.stackexchange.com/questions/22210/how-to-convert-molecular-categorical-variables-to-dummy-variables-for-cluster-an)

Yes, you can use dummy-coding since the 'representation' of SNP data for statistical analysis depends on the methods used and the underlying genetic model. When using PCA for unravelling population substructure or GWAS for modeling the association between SNPS and one or several phenotypes, each SNP is usually treated as a single integer-coded variable: under the "allelic dosage" model, with values in {0,1,2} coding for the frequency of the minor allele; under dominant or recessive effect, with the two extreme categories aggregated yielding a 0/1 response, etc. If you want to use multiple correspondence analysis or a method expecting discrete variables, it would make sense to use dummy coded variables.

I am aware of two cases where different approaches were retained. Waaijenborg and Zwinderman (1) used *optimal scaling* to transform SNP into one continuous variable as an input into a penalized canonical correlation analysis framework. This allows to consider the three different genotypes (AA, AB, BB) under four different genetic model of inheritance (additive, dominant, recessive or constant). Wolf et al. (2) used dummy-coded SNP as input to Logic Forest, where, for each SNP, the first dummy takes a value of one for 1+ copy of the minor allele (dominant effect) while the second dummy variable takes a value of one if individual was homozygous on the minor allele (recessive effect). In the latter approach, you can use whatever approach you think might best represent the underlying genetic models you want to consider. 


### References

1. Waaijenborg and Zwinderman (2009). [Correlating multiple SNPs and multiple disease phenotypes: penalized non-linear canonical correlation analysis][1]. *Bioinformatics* **25(21)**: 2764-2771.
2. Wolf, B.J., Hill, E.G., and Slate, E.H. (2010). [Logic Forest: an ensemble classifier for discovering logical combinations of binary markers][2]. *Bioinformatics* **26(17)**: 2183-2189.



  [1]: http://bioinformatics.oxfordjournals.org/content/25/21/2764.full
  [2]: http://bioinformatics.oxfordjournals.org/content/26/17/2183.short
