## [Ordinal reliability for small examinee population](http://stats.stackexchange.com/questions/28467/ordinal-reliability-for-small-examinee-population)

The definition of true score ($T$) only requires the existence of the first moment, while that of reliability (as defined in *parallel tests*, although this is [not restrictive](http://bit.ly/Jci98P) to define a reliability coefficient) requires the existence of two moments,<sup>(a)</sup> which is discussed in 

> Novick, MR, The Axioms and Principal Results of Classical Test Theory,
> *Journal of Mathematical Psychology* (1966) **3**: 1-18.

<!---(Another technical paper is Steyer, R, Models of classical psychometric test theory as stochastic measurement models: Representation, uniqueness, meaningfulness, identifiability, and testability, *Methodika* (1989) **III**: 25-60.)-->

Reliability is the proportion of observed-score variance due to true-score variance. Hence, it is defined as the square of the correlation (in the population) between observed and true scores (in practice, the latter is not known).
In short, the classical test theory (TCT) model only considers means, variances, and covariances, which is considered unsatisfactory by some authors. We may wish that equivalent measurements have the same true scores but also similar second and third-order moment (for the error distributions).
That the TCT framework remains blind to higher-order moments is also discussed in e.g., Hambleton, RK and van der Linden, WJ, [Advances in Item response Theory and applications: An introduction][1], *Applied Psychological Measurement* (1982) **6(4)**: 373-378.

<sub>(a) As indicated in the edit to your post, $\rho_{XX'}$ is a Pearson product-moment correlation</sub>

  [1]: http://www.utwente.nl/gw/omd/afdeling/artikelen/vdLinden/artikelen%20vanaf%20juni%202011/APM%201982,%20373-378.pdf
