## [Wilcoxon test in boot() function](http://stats.stackexchange.com/questions/32070/wilcoxon-test-in-boot-function)

This is not `boot` that is calling the Wilcoxon test, but `verification::roc.area` which can be checked by looking at the on-line help:

> P-value produced is related to the Mann-Whitney U statistics.  The
> p-value is calculated using the wilcox.test function which
> automatically handles ties and makes approximations for large values

(or directly by looking at the source code, e.g. `verification:::roc.area`.)

As you are using bootstrap with replacement, we know that about one third of the sample will not be used in each run, and so you naturally introduce ties and ranks will not be unique anymore, which is what `wilcox.test` complains about. This function will return an approximate $p$-value (using asymptotic normal distribution).

As as sidenote, you may want to take a look at the [rms][1] package which features everything you need to estimate, calibrate and validate GLMs (with bootstrap techniques, among others).


  [1]: http://biostat.mc.vanderbilt.edu/wiki/Main/RmS
