## [Interpretation of biplots in principal components analysis in R](http://stats.stackexchange.com/questions/2038/interpretation-of-biplots-in-principal-components-analysis-in-r)

PCA is one of the many ways to analyse the structure of a given correlation matrix. By construction, the first principal axis is the one which maximizes the variance (reflected by its eigenvalue) when data are projected onto a line (which stands for a direction in the p-space, assuming you have p variables) and the second one is orthogonal to it, and still maximizes the remaining variance. This is the reason why using the first two axes should yield the better approximation of the original variables space (say, a matrix X of dim n x p) when it is projected onto a plane.

Principal components are just linear combinations of the original variables. Therefore, plotting individual factor scores (defined as Xu, where u is the vector of loadings of any principal component) may help to highlight groups of homogeneous individuals, for example, or to interpret one's overall scoring when considering all variables at the same time. In other words, this is a way to summarize one's location with respect to his value on the p variables, or a combination thereof. In your case, Fig. 13.3 in HSAUR shows that Joyner-Kersee (Jy-K) has a high (negative) score on the 1st axis, suggesting he performed overall quite good on all events. The same line of reasonning applies for interpreting the second axis. I take a very short look at the figure so I will not go into details and my interpretation is certainly superficial. I assume that you will find further information in the HSAUR textbook. Here it is worth noting that both variables and individuals are shown on the same diagram (this is called a *biplot*), which helps to interpret the factorial axes while looking at individuals' location. Usually, we plot the variables into a so-called correlation circle (where the angle formed by any two variables, represented here as vectors, reflects their actual pairwise correlation, since r(x1,x2)=cos<sup>2</sup>(x1,x2)).

I think, however, you'd better start reading some introductory book on multivariate analysis to get deep insight into PCA-based methods. For example, B.S. Everitt wrote an excellent textbook on this topic, *An R and S-Plus<sup>®</sup> Companion to Multivariate Analysis*, and you can check the [companion website][1] for illustration. There are other great R packages for applied multivariate data analysis, like [ade4][2] and [FactoMineR][3].


  [1]: http://biostatistics.iop.kcl.ac.uk/publications/everitt/
  [2]: http://cran.r-project.org/web/packages/ade4/index.html
  [3]: http://cran.r-project.org/web/packages/FactoMineR/index.html
