## [FA: Choosing Rotation matrix, based on “Simple Structure Criteria”](http://stats.stackexchange.com/questions/1812/fa-choosing-rotation-matrix-based-on-simple-structure-criteria)

The R [psych][1] package includes various routines to apply Factor Analysis (whether it be PCA-, ML- or FA-based), but see my short review on [crantastic][2]. Most of the usual rotation techniques are available, as well as algorithm relying on simple structure criteria; you might want to have a look at W. Revelle's paper on this topic, [Very Simple Structure: An Alternative Procedure For Estimating The Optimal Number Of Interpretable Factors][3] (MBR 1979 (14)) and the `VSS()` function. 

Many authors are using orthogonal rotation (VARIMAX), considering loadings higher than, say 0.3 or 0.4 (which amounts to 9 or 16% of variance explained by the factor), as it provides simpler structures for interpretation and scoring purpose (e.g., in quality of life research); others (e.g. Cattell, 1978; Kline, 1979) would recommend oblique rotations since "in the real world, it is not unreasonable to think that factors, as important determiners of behavior, would be correlated" (I'm quoting Kline, *Intelligence. The Psychometric View*, 1991, p. 19). 

To my knowledge, researchers generally start with FA (or PCA), using a scree-plot together with simulated data (parallel analysis) to help choosing the right number of factors. I often found that item cluster analysis and VSS nicely complement such an approach. When one is interested in second-order factors, or to carry on with SEM-based methods, then obviously you need to use oblique rotation and factor out the resulting correlation matrix.

Other packages/software:

 - [lavaan][4], for latent variable analysis in R;
 - [OpenMx][6] based on [Mx][5], a general purpose software including a matrix algebra interpreter and numerical optimizer for structural equation modeling.

**References**  
 1. Cattell, R.B. (1978). The scientific use of factor analysis in behavioural and life sciences. New York, Plenum.  
 2. Kline, P. (1979). Psychometrics and Psychology. London, Academic Press.


  [1]: http://cran.r-project.org/web/packages/psych/index.html
  [2]: http://crantastic.org/packages/psych
  [3]: http://personality-project.org/revelle/publications/vss.pdf
  [4]: http://lavaan.ugent.be/
  [5]: http://www.vcu.edu/mx/
  [6]: http://openmx.psyc.virginia.edu/
