## [How to rank the results of questions with categorical answers?](http://stats.stackexchange.com/questions/2576/how-to-rank-the-results-of-questions-with-categorical-answers)

Recoding your data with numerical values seems ok, provided the assumption of an ordinal scale holds. This is often the case for Likert-type item, but see these related questions:

* [Is it appropriate to treat n-point Likert scale data as n trials from a binomial process?][1]
* [Under what conditions should Likert scales be used as ordinal or interval data?][2]

When validating a questionnaire, we often provide usual numerical summaries (mean $\pm$ sd, range, quartiles) to highlight ceiling/floor effect, that is higher response rate in the extreme range of the scale. Dotplots are also great tool to summarize such data.

This is just for visualization/summary purpose. If you want to get into more statistical stuff, you can use proportional odds model or ordinal logistic regression, for ordinal items, and multinomial regression, for discrete ones.


  [1]: http://stats.stackexchange.com/questions/2401/is-it-appropriate-to-treat-n-point-likert-scale-data-as-n-trials-from-a-binomial/
  [2]: http://stats.stackexchange.com/questions/10/under-what-conditions-should-likert-scales-be-used-as-ordinal-or-interval-data/
