## [Modelling longitudinal data where the effect of time varies in functional form between individuals](http://stats.stackexchange.com/questions/2777/modelling-longitudinal-data-where-the-effect-of-time-varies-in-functional-form-be)

I would suggest to look at the following three directions:

* *longitudinal clustering*: this is unsupervised, but you use k-means approach relying on the Calinsky criterion for assessing quality of the partitioning (package [kml][1], and references included in the online help); so basically, it won't help identifying specific shape for individual time course, but just separate homogeneous evolution profile
* some kind of *latent growth curve* accounting for heteroscedasticity: my best guess would be to look at the extensive references around [MPlus][2] software, especially the FAQ and mailing. I've also heard of random effect multiplicative heteroscedastic model (try googling around those keywords). I find these papers ([1][3], [2][4]) interesting, but I didn't look at them in details. I will update with references on neuropsychological assessment once back to my office.
* *functional PCA* ([fpca][5] package) but it may be worth looking at [functional data analysis][6] 

Other references (just browsed on the fly):

* Willett & Bull (2004), [Latent Growth Curve Analysis][7] -- the authors use LGC on non-linear reading trajectories
* Welch (2007), [Model Fit and Interpretation of Non-Linear Latent Growth Curve Models][8] -- a PhD on modeling non-linear change in the context of latent growth modeling
* Berkey CS, Laird NM (1986). [Nonlinear growth curve analysis: estimating the population parameters][9]. Ann Hum Biol. 1986 Mar-Apr;13(2):111-28
* Rice (2003), [Functional and Longitudinal Data Analysis: Perspectives on Smoothing][10]
* Wu, Fan and Müller (2007). [Varying-Coefficient Functional Linear Regression][11]


  [1]: http://cran.r-project.org/web/packages/kml/index.html
  [2]: http://www.statmodel.com/
  [3]: http://web.mit.edu/polisci/research/apss/Prior.PI%20Development.MIT.pdf
  [4]: http://www.laser.uni-erlangen.de/papers/paper/98.pdf
  [5]: http://cran.r-project.org/web/packages/fpca/index.html
  [6]: http://www.stats.ox.ac.uk/~silverma/fdacasebook/
  [7]: http://www.ucs.louisiana.edu/~rmm2440/Willett_and_Bub_2004.pdf
  [8]: http://etd.library.pitt.edu/ETD/available/etd-07312007-173433/unrestricted/WelchGregDissertation_080707.pdf
  [9]: http://www.ncbi.nlm.nih.gov/pubmed/3707041
  [10]: http://www.google.fr/url?sa=t&source=web&cd=8&ved=0CFsQFjAH&url=http%3A%2F%2Fciteseerx.ist.psu.edu%2Fviewdoc%2Fdownload%3Fdoi%3D10.1.1.6.8240%26rep%3Drep1%26type%3Dpdf&rct=j&q=time%20varying%20individual%20trajectories%20functional%20data%20analysis&ei=6W-TTPSPE4uQ4Qbgtei4BA&usg=AFQjCNGQwrXuydM3-zfnSU51Am5IrQdc3A&sig2=VclEUPG0CLoiYTI2GAJbfQ&cad=rja
  [11]: http://orfe.princeton.edu/~jqfan/papers/07/WuFanMueller.pdf
