## [How to teach students who fear statistics?](http://stats.stackexchange.com/questions/3262/how-to-teach-students-who-fear-statistics)

Not very much about how to deal with students' fear, but Andrew Gelman wrote an excellent book, [Teaching Statistics, a bag of tricks][1] (there's also some [slides][2]).

I like introducing a course by talking about randomness, elementary probability as found in games, causal association, permutation tests (because parametric tests provide good approximation to them :).

I just put an example that I like to show to students. This is from Phillip Good, in his book *[Permutation, Parametric, and Bootstrap Tests of Hypotheses][3]* (Springer, 2005 3rd ed.), where he introduces the general strategy of testing or decision making about statistical hypothesis and how to carry out a very simple and exact permutation test to solve the follwoing problem.

> Shortly after I received my doctorate
> in statistics, I decided that if I
> really wanted to help bench scientists
> apply statistics I ought to become a
> scientist myself. So I went back to
> school to learn physiology and aging
> in cells raised in petri dishes.   
> 
> I soon learned there was a great deal
> more to an experiment than the random
> assignment of subjects to treatments.
> In general, 90% of experimental effort
> was spent mastering various arcane
> laboratory techniques, another 9% in
> developing new techniques to span the
> gap between what had been done and
> what I really wanted to do, and a mere
> 1% on the experiment itself. But the
> moment of truth came finally–—it had
> to if I were to publish and not
> perish–—and I succeeded in cloning
> human diploid fibroblasts in eight
> culture dishes: Four of these dishes
> were filled with a conventional
> nutrient solution and four held an
> experimental "life-extending" solution
> to which vitamin E had been added.  
> 
> I waited three weeks with fingers
> crossed that there was no
> contamination of the cell cultures,
> but at the end of this test period
> three dishes of each type had
> survived. My technician and I
> transplanted the cells, let them grow
> for 24 hours in contact with a
> radioactive label, and then fixed and
> stained them before covering them with
> a photographic emulsion.  
> 
> Ten days passed and we were ready to examine
> the autoradiographs. Two years had
> elapsed since I first envisioned this
> experiment and now the results were
> in: I had the six numbers I needed. 
> 
> "I've lost the labels," my technician
> said as she handed me the results.
> This was a dire situation. Without the
> labels, I had no way of knowing which
> cell cultures had been treated with
> vitamin E and which had not.


  

[1]: http://www.stat.columbia.edu/~gelman/bag-of-tricks/
  [2]: http://www.stat.columbia.edu/~gelman/presentations/smithtalk.pdf
  [3]: http://www.springer.com/statistics/statistical+theory+and+methods/book/978-0-387-20279-2

