## [What are good basic statistics to use for Ordinal data?](http://stats.stackexchange.com/questions/97/what-are-good-basic-statistics-to-use-for-ordinal-data)

For basic summaries, I agree that reporting frequency tables and some indication about central tendency is fine. For inference, a recent article published in PARE discussed t- vs. MWW-test, [Five-Point Likert Items: t test versus Mann-Whitney-Wilcoxon][1].

For more elaborated treatment, I would recommend reading Agresti's review on ordered categorical variables:

> Liu, Y and Agresti, A (2005). [The
> analysis of ordered categorical data:
> An overview and a survey of recent
> developments][2]. *Sociedad de
> Estadística e Investigación Operativa
> Test*, 14(1), 1-73.

It largely extends beyond usual statistics, like threshold-based model (e.g. proportional odds-ratio), and is worth reading in place of Agresti's [CDA][3] book.

Below I show a picture of three different ways of treating a Likert item; from top to bottom, the "frequency" (nominal) view, the "numerical" view, and the "probabilistic" view (a [Partial Credit Model][4]):

![alt text][5]

The data comes from the `Science` data in the `ltm` package, where the item concerned *technology* ("New technology does not depend on basic scientific research", with response "strongly disagree" to "strongly agree", on a four-point scale)

  [1]: http://pareonline.net/pdf/v15n11.pdf
  [2]: http://petra.euitio.uniovi.es/~i1770184/Archivos/t141/Test_agresti.pdf
  [3]: http://www.stat.ufl.edu/~aa/cda/cda.html
  [4]: http://en.wikipedia.org/wiki/Polytomous_Rasch_model
  [5]: http://i.imgur.com/ppdQg.png
