## [If an ANOVA indicates no main effect and no interaction, should the lack of interaction be stated?](http://stats.stackexchange.com/questions/3504/if-an-anova-indicates-no-main-effect-and-no-interaction-should-the-lack-of-inter)

Well, it depends if the interaction was your main hypothesis or not. If this the case, then you are encouraged to report the negative result, otherwise you can simply refit your model (without the B and A:B terms) to get a better estimate of A.

Now, the part of your conclusion that you emphasized doesn't sound correct to me. You can only prove that an observed difference of means is different from 0 (or any other fixed value, according to your alternative hypothesis), you cannot "accept" the null. If your test is non-significant, it simply means that you cannot reject $H_0$. Non-significant results can also reflect lack of power (Type II error).

Also, rather than simply reporting crude p-values, it would be better (and it actually follows the [APA][1] recommendations) to also report some kind of effect size or difference of means, together with your inferential results.

Here is an example for reporting results from a factorial ANOVA (it has to be rework to fit your specific experimental design since your factors have a lot of levels):

A two-way analysis of variance yielded a main effect for A factor, $F(\nu_1,\nu_2) = 0.00$, $p < .05$, such that the average "value" was significantly higher in the $a_1$ condition (Mean=0.00, SD=0.00) compared to $a_2$ (Mean=0.00, SD=0.00) and $a_3$ (Mean=0.00, SD=0.00, Tukey HSD, all p<0.05). The main effect of B was non-significant ($F(\nu_1,\nu_2) = 0.00$, $p = 0.00$), and no interaction effect was found significant ($F(\nu_1,\nu_2) = 0.00$, $p = 0.00$) indicating that the effect of A on Y was not significantly different across the B levels.


  [1]: http://apastyle.apa.org/
