## [The best measure of reliability for interval data between 0 and 1](http://stats.stackexchange.com/questions/3762/the-best-measure-of-reliability-for-interval-data-between-0-and-1-closed)

Referring to your comments to @Henrik, I'm inclined to think that you rather have continuous measurements on a set of objects (here, your similarity measure) for 6 raters. You can compute an [intraclass correlation][1] coefficient, as described here [Reliability in Elicitation Exercise][2]. It will provide you with a measure of agreement (or concordance) between all 6 judges wrt. assessments they made, or more precisely the part of variance that is explained by between-rater variance. There's a working R script in appendix.

Note that this assumes that your measures are considered as real valued measurement (I refer to @onestop's comment), not really proportions of similarity or whatever between your paired sounds. I don't know of a specific version of the ICC for % or values bounded on an interval, only for binary or ranked data. 

**Update:**

Following your comments about parameters of interest and language issue:

* There are many other online ressources on the ICC; I think [David Howell][3] provides a gentle and well illustrated introduction to it. Its discussion generalize to k-sample (judges/raters) without any difficulty I think, or see this chapter from Sea and Fortna on [Psychometric Methods][4]. What you have to think to is mainly whether you want to consider your raters as an unique set of observers, not necessarily representative of all the raters that would have assess your object of measurement (this is called a fixed effect), or as a random sample of raters sampled from a larger (hypothetical) population of potential raters: in the former case, this corresponds to a one-way anova or a consistency ICC, in the latter case we talk about an agreement ICC.

* A colleague of mine successfully used [Kevin Brownhill's script][5] (from Matlab Central file exchange). The ICC you are interested in is then `cse=3` (if you consider that your raters are not representative of a more general population of raters). 


  [1]: http://en.wikipedia.org/wiki/Intraclass_correlation
  [2]: http://stats.stackexchange.com/questions/1015/reliability-in-elicitation-exercise/3667#3667
  [3]: http://www.uvm.edu/~dhowell/StatPages/More_Stuff/icc/icc.html
  [4]: http://www.mebsbooks.com/cover_note/books/7/6/6/9781402004667/9781402004667-c6.pdf
  [5]: http://www.mathworks.co.uk/matlabcentral/fileexchange/21501-intraclass-correlation-coefficients
