## [When are confidence intervals useful?](http://stats.stackexchange.com/questions/3911/when-are-confidence-intervals-useful)

I like to think of CIs as some way to escape the Hypothesis Testing (HT) framework, at least the binary decision framework following [Neyman][1]'s approach, and keep in line with theory of measurement in some way. More precisely, I view them as more close to the reliability of an estimation (a difference of means, for instance), and conversely HT are more close to hypothetico-deductive reasoning, with its pitfalls (we cannot accept the null, the alternative is often stochastic, etc.). Still, with both interval estimation and HT we have to rely on distribution assumptions most of the time (e.g. a sampling distribution under $H_0$), which allows to make inference from our sample to the general population or a representative one (at least in the frequentist approach).

In many context, CIs are complementary to usual HT, and I view them as in the following picture (it is under $H_0$):

![alt text][2]

that is, under the HT framework (left), you look at how far your statistic is from the null, while with CIs (right) you are looking at the null effect "from your statistic", in a certain sense. 

Also, note that for certain kind of statistic, like odds-ratio, HT are often meaningless and it is better to look at its associated CI which is assymmetrical and provide more relevant information as to the direction and precision of the association, if any.

  [1]: http://j.mp/awJEkH
  [2]: http://i.imgur.com/9VSib.png
