## [Intra-class correlation](http://stats.stackexchange.com/questions/4009/intra-class-correlation)

These are distinct ways of accounting for raters or items variance in overall variance, following [Shrout and Fleiss (1979)][1] (cases 1 to 3 in Table 1):

* *One-way random effects model*: raters are considered as sampled from a larger pool of potential raters, hence they are treated as random effects; the ICC is then interpreted as the % of total variance accounted for by subjects/items variance. This is called the consistency ICC.
* *Two-way random effects model*: both factors -- raters and items/subjects -- are viewed as random effects, and we have two variance components (or mean squares) in addition to the residual variance; we further assume that raters assess all items/subjects; the ICC gives in this case the % of variance attributable to raters + items/subjects.
* *Two-way mixed model*: contrary to the one-way approach, here raters are considered as fixed effects (no generalization beyond the sample at hand) but items/subjects are treated as random effects; the unit of analysis may be the individual or the average ratings.

I would say raters have to be entered as columns, although I'm not a specialist of SPSS.
Dave Garson's [dedicated website][2] is worth looking at for those working with SPSS. There is also a complete on-line tutorial on [reliability analysis][3] (Robert A. Yaffee). 

For theoretical consideration about the mixed-effect approach, please consider reading my answer to this related question: [Reliability in Elicitation Exercise][4]. 


  [1]: http://www3.uta.edu/faculty/ricard/COED/Shrout%20&%20Fleiss%20(1979)%20Intraclass%20correlations.pdf
  [2]: http://faculty.chass.ncsu.edu/garson/PA765/reliab.htm
  [3]: http://www.nyu.edu/its/statistics/Docs/intracls.html
  [4]: http://stats.stackexchange.com/questions/1015/reliability-in-elicitation-exercise/3667#3667
