## [Training a model](http://stats.stackexchange.com/questions/4231/training-a-model)

Although the [curse of dimensionality][1] and multicollinearity are distinct issues, cross-validation is used for building a predictive model: we usually estimate parameters of our model on training samples, and assess its generalizability on test samples. This yields a measure of model performance, which can be a % of prediction accuracy if we work with a classification model, or an RMSEA if it is a regression model. The idea is that the better the model performs, the better it will allow us to predict outcome(s) on unseen data.
To overcome the problem of overfitting when building a predictive model, we may also introduce some kind of variable or [feature selection][2].

Cross-validation may be done in various way (split or holdout method, k-fold, leave-one-out, etc.) but the general idea to keep in mind is that the final model is assessed on individuals who do not participate to its construction.

You may find additional information by looking at the "[cross-validation][3]" or "[feature selection][4]" tags.


  [1]: http://en.wikipedia.org/wiki/Curse_of_dimensionality
  [2]: http://en.wikipedia.org/wiki/Feature_selection
  [3]: http://stats.stackexchange.com/questions/tagged/cross%2Dvalidation
  [4]: http://stats.stackexchange.com/questions/tagged/feature%2Dselection
