## [What's the relation between hierarchical models, neural networks, graphical models, bayesian networks?](http://stats.stackexchange.com/questions/4498/whats-the-relation-between-hierarchical-models-neural-networks-graphical-model)

As [@carlosdc][1] said, a bayesian network is a type of Graphical Model (i.e., a directed acyclic graph (DAG) whose structure defines a set of conditional independence properties). [Hierarchical Bayes Models][2] can also be represented as DAGs; [Hierarchical Naive Bayes Classifiers for uncertain data][3], by Bellazzi et al., provides a good introduction to classification with such models. About hierarchical models, I think many articles can be retrieved by googling with appropriate keywords; for example, I found this one:

> C. H. Jackson, N. G. Best and S.
> Richardson. [Bayesian graphical models
> for regression on multiple data sets
> with different variables][4].
> *Biostatistics* (2008) 10(2): 335-351.

Michael I. Jordan has a nice tutorial on [Graphical Models][5], with various applications based on the factorial [Hidden Markov model][6] in bioinformatics or natural language processing. His book, [Learning in Graphical Models][7] (MIT Press, 1998), is also worth reading (there's an application of GMs to structural modeling with [BUGS][8] code, pp. 575-598)


  [1]: http://stats.stackexchange.com/questions/4498/whats-the-relation-between-hierarchical-models-neural-networks-graphical-model/4502#4502
  [2]: http://en.wikipedia.org/wiki/Hierarchical_Bayes_model
  [3]: http://www.labmedinfo.org/download/lmi339.pdf
  [4]: http://biostatistics.oxfordjournals.org/content/10/2/335.full
  [5]: http://www.cs.berkeley.edu/~jordan/papers/statsci.ps
  [6]: http://en.wikipedia.org/wiki/Hidden_Markov_model
  [7]: http://mitpress.mit.edu/catalog/item/default.asp?tid=8141&ttype=2
  [8]: http://www.mrc-bsu.cam.ac.uk/bugs/
