## [Yates continuity correction for 2 x 2 contingency tables](http://stats.stackexchange.com/questions/4569/yates-continuity-correction-for-2-x-2-contingency-tables)

Yates' correction results in tests that are more conservative as with Fisher's "exact" tests. 

Here is an online tutorial on the use of [Yates’s continuity correction][1], by Stefanescu et al, which clearly points to various flaws of systematic correction for continuity (pp. 4-6). Quoting Agresti ([CDA][2] 2002), "Yates (1934) mentioned that Fisher suggested the hypergeometric to him for an exact test", which led to the continuity-corrected version of the $\chi^2$. Agresti also indicated that Fisher's test is a good alternative now that computers can do it even for large samples (p. 103). Now, the point is that choosing a test really depends on the question that is asked and the assumptions that are made by each of them (e.g., in the case of the Fisher's test we assume that margins are fixed).

In your case, Fisher test and corrected $\chi^2$ agree and yield $p$-value above 5%. In the case of the ordinary $\chi^2$, if $p$-values are computed using a Monte Carlo approach (see `simulate.p.value`), then it fails to reach significance too.

Other useful references dealing with small sample size issues and the overuse of Fisher's test, include:

* I. Campbell, [Chi-squared and Fisher–Irwin tests of two-by-two tables with small sample recommendations][3], Statistics in Medicine 26(19): 3661–3675, 2007.
* Mark G. Haviland, [Yates's correction for continuity and the analysis of 2 × 2 contingency tables][4], Statistics in Medicine 9(4): 363–367, 1990.


  [1]: http://faculty.london.edu/cstefanescu/Yates.pdf
  [2]: http://www.stat.ufl.edu/~aa/cda/cda.html
  [3]: http://www.ncbi.nlm.nih.gov/pubmed/17315184
  [4]: http://www.ncbi.nlm.nih.gov/pubmed/2362976
