## [Should I use factor analysis on my data?](http://stats.stackexchange.com/questions/4839/should-i-use-factor-analysis-on-my-data)

As an alternative to CA suggested by @Brandon, you could also try [Multiple Correspondence Analysis][1] which has the advantage of considering all types of games at the same time (unlike CA), which are probably scored as binary variable (in this case, the MCA solution will be close to the PCA one--factor scores and eigenvalues are linearly related). Basically this will give you an idea of how games group together, if any. At the same time, you can use your "hardcore gamer" status (yes/no) as an illustrative variable (i.e., this variable will not participate to the construction of the factorial axes), which will help you identifying how it related to these clusters of variables.

The [FactoMineR][2] R package offers all of what is needed for such kind of analysis, see `MCA()`. 

As you didn't say anything about your sample size, it's hard to suggest confirmatory or model-based approaches, like logistic regression or latent class regression. But you can look at [Random Forests][3] and try to identify the "best" variables that allow to predict your outcome with a minimal classification error rate (see the [randomForest][4] package).


  [1]: http://en.wikipedia.org/wiki/Multiple_correspondence_analysis
  [2]: http://cran.r-project.org/web/packages/FactoMineR/index.html
  [3]: http://en.wikipedia.org/wiki/Random_forest
  [4]: http://cran.r-project.org/web/packages/randomForest/index.html
