## [Creating plots for String type columns in R](http://stats.stackexchange.com/questions/4877/creating-plots-for-string-type-columns-in-r)

It seems the `barplot()` will be your friend in that case, e.g.

    x <- sample(c("Win","Linux","Mac"), 100, replace=TRUE)
    barplot(table(x))

This will work for variables of type `character` or `factor`. Another option is to use Cleveland's [dotplot][1], see `dotchart()` (or `dotplot()`in the [lattice][2] package).

**Update**

You could replace `table(x)` by `table(x)/sum(table(x))*100` to express data as % rather than counts. I know there are more elegant solutions in additional packages, but I can't remember their names actually. The `table()` function will also work for two-way classification, and marginal totals can easily be computed in a similar way; e.g. `apply(table(x, y), 1, sum)` gives rows marginal frequencies.


  [1]: http://www.b-eye-network.com/view/2468
  [2]: http://cran.r-project.org/web/packages/lattice/index.html
