## [R getting share of users with multiple of an element](http://stats.stackexchange.com/questions/4932/r-getting-share-of-users-with-multiple-of-an-element)

You could try something like

    > df <- data.frame(User=sample(LETTERS[1:10], 100, rep=T), 
                       OS=sample(c("Win","Lin","Mac"), 100, rep=T))
    > (res <- with(df, tapply(OS, User, function(x) length(unique(x)))))
    A B C D E F G H I J 
    2 3 3 3 3 3 3 3 3 3 
    > barplot(table(res)) # for counts
    > barplot(table(ifelse(res==1, "1", "2+")))

Replace `table()` by `prop.table()` if you want proportions instead of counts, as suggested by [@Chase][1] in a comment to your preceding question.


  [1]: http://stats.stackexchange.com/users/696/chase
