## [Stacked bar plot](http://stats.stackexchange.com/questions/5073/stacked-bar-plot)

I doubt you fill find a suitable range of distinct colours with so much categories. Anyway, here are some ideas:

1. For stacked barchart, you need `barplot()` with `beside=FALSE` (which is the default) -- this is in base R (@Chase's solution with [ggplot2][1] is good too)
2. For generating a color ramp, you can use the [RColorBrewer][2] package; the example shown by @fRed can be reproduced with `brewer.pal` and any one of the diverging or sequential palettes. However, the number of colour is limited, so you will need to recycle them (e.g., every 6 items)

Here is an illustration:


    library(RColorBrewer)
    x <- sample(LETTERS[1:20], 100, replace=TRUE)
    tab <- as.matrix(table(x))
    my.col <- brewer.pal(6, "BrBG") # or brewer.pal(6, "Blues")
    barplot(tab, col=my.col)

There is also the [colorspace][3] package, which has a nice accompagnying vignette about the design of good color schemes. Check also Ross Ihaka's course on [Topic in Computational Data Analysis and Graphics][4].

Now, a better way to display such data is probably to use a so-called Cleveland dot plot, i.e.

    dotchart(tab)


  [1]: http://cran.r-project.org/web/packages/ggplot2/index.html
  [2]: http://cran.r-project.org/web/packages/RColorBrewer/index.html
  [3]: http://cran.r-project.org/web/packages/colorspace/index.html
  [4]: http://www.stat.auckland.ac.nz/~ihaka/courses/787/
