## [How to visualize what ANOVA does?](http://stats.stackexchange.com/questions/5278/how-to-visualize-what-anova-does)

Personally, I like introducing linear regression and ANOVA by showing that it is all the same and that linear models amount to partition the total variance: We have some kind of variance in the outcome that can be explained by the factors of interest, plus the unexplained part (called the 'residual'). I generally use the following illustration (gray line for total variability, black lines for group- or individua value specific variability) :

![alt text][1]


I also like the [heplots][2] R package, from Michael Friendly and John Fox, but see also [Visual Hypothesis Tests in Multivariate Linear Models: The heplots Package for R][3].

Standard ways to explain what ANOVA actually does, especially in the Linear Model framework, are really well explained in [Plane answers to complex questions][4], by Christensen, but there are very few illustrations. Saville and Wood's [Statistical methods: The geometric approach][5] has some examples, but mainly on regression. In Montgomery's [Design and Analysis of Experiments][6], which mostly focused on DoE, there are illustrations that I like, but see below

![alt text][7]

(these are mine :-)

But I think you have to look for textbooks on Linear Models if you want to see how sum of squares, errors, etc. translates into a vector space, as shown on [Wikipedia][8]. [Estimation and Inference in Econometrics][9], by Davidson and MacKinnon, seems to have nice illustrations (the 1st chapter actually covers OLS geometry) but I only browse the French translation (available [here][10]). [The Geometry of Linear Regression][11] has also some good illustrations. 

**Edit**:

Ah, and I just remember this article by Robert Pruzek, [A new graphic for one-way ANOVA][12].


  [1]: http://i.imgur.com/i4FuO.png
  [2]: http://cran.r-project.org/web/packages/heplots/index.html
  [3]: http://socserv.mcmaster.ca/jfox/heplots-dsc-paper.pdf
  [4]: http://www.springer.com/statistics/statistical+theory+and+methods/book/978-0-387-95361-8
  [5]: http://www.springer.com/statistics/book/978-0-387-97517-7
  [6]: http://eu.wiley.com/WileyCDA/WileyTitle/productCd-EHEP000137.html
  [7]: http://i.imgur.com/lhjff.png
  [8]: http://en.wikipedia.org/wiki/Ordinary_least_squares#Geometric_approach
  [9]: http://qed.econ.queensu.ca/pub/dm-book/
  [10]: http://russell.vcharite.univ-mrs.fr/EIE/
  [11]: http://www.ef.uni-lj.si/projekti/phdnet/datoteke/Projection.pdf
  [12]: http://www.acase.org/rpruzek/anovagraphic.pdf
