## [How to choose nlme or lme4 R library for mixed effects models?](http://stats.stackexchange.com/questions/5344/how-to-choose-nlme-or-lme4-r-library-for-mixed-effects-models)

Both packages use `Lattice` as the backend, but `nlme` has some nice features like `groupedData()` and `lmList()` that are lacking in `lme4` (IMO). From a practical perspective, the two most important criteria seem, however, that

1. `lme4` extends `nlme` with other link functions: in `nlme`, you cannot fit outcomes whose distribution is not gaussian, `lme4` can be used to fit mixed-effects logitic regression, for example.
2. in `nlme`, it is possible to specify the variance-covariance matrix for the random effects (e.g. an AR(1)); it is not possible in `lme4`.

Now, `lme4` can easily handle very huge number of random effects (hence, No. individuals in a given study) thanks to its C part and the use of sparse matrices. The `nlme` package has somewhat been superseded by `lme4` so I won't expect people spending much time developing add-ons on top of `nlme`. Personally, when I have a continuous response in my model, I tend to use both packages, but I'm now versed to the `lme4` way for fitting GLMM.

Rather than buying a book, take a look first at the Doug Bates' draft book on R-forge: [lme4: Mixed-effects Modeling with R][1].


  [1]: http://lme4.r-forge.r-project.org/book/
