## [Can principal component analysis be applied to categorical data?](http://stats.stackexchange.com/questions/5774/can-principal-component-analysis-be-applied-to-categorical-data)

Although a PCA applied on binary data would yield results comparable to those obtained from a [Multiple Correspondence Analysis][1] (factor scores and eigenvalues are linearly related), there are more appropriate techniques to deal with mixed data types, namely Multiple Factor Analysis for mixed data available in the [FactoMineR][2] R package (`AFDM()`). If your variables can be considered as structured subsets of descriptive attributes, then [Multiple Factor Analysis][3] (`MFA()`) is also an option.

The challenge with categorical variables is to find a suitable way to represent distances between variable categories and individuals in the factorial space. To overcome this problem, you can look for a non-linear transformation of each variable--whether it be nominal, ordinal, polynomial, or numerical--with optimal scaling. This is well explained in [Gifi Methods for Optimal Scaling in R: The Package homals][4], and an implementation is available in the corresponding R package [homals][5].


  [1]: http://en.wikipedia.org/wiki/Multiple_correspondence_analysis
  [2]: http://cran.r-project.org/web/packages/FactoMineR/index.html
  [3]: http://factominer.free.fr/advanced-methods/multiple-factor-analysis.html
  [4]: http://www.jstatsoft.org/v31/i04/paper
  [5]: http://cran.r-project.org/web/packages/homals/index.html
