## [Clinical reasoning](http://stats.stackexchange.com/questions/7653/clinical-reasoning)

I like @nico's response because it makes clear that statistical and pragmatic thinking shall come hand in hand; this also has the merit to bring out issues like statistical vs. clinical significance. But about your specific question, I would say this is clearly detailed in the two sections that directly follow your quote (p. 10).

Rereading Piantadosi's textbook, it appears that the author means that **clinical thinking** applies to the situation where a physician has to interpret the results of RCTs or other studies in order to decide of the best treatment to apply to a *new patient*. This has to do with the extent to which (population-based) conclusions drawn from previous RCT might generalize to new, unobserved, samples. In a certain sense, such decision or judgment call for some form of clinical experience, which is not necessarily of the resort of a consistent statistical framework. Then, the author said that "the solution offered by **statistical reasoning** is to control the signal-to-noise ratio by design." In other words, this is a way to reduce uncertainty, and "the chance of drawing incorrect conclusions from either good or bad data." In sum, both lines of reasoning are required in order to draw valid conclusions from previous (and 'localized') studies, and choose the right treatment to administer to a new individual, given his history, his current medication, etc. -- treatment efficacy follows from a good balance between statistical facts and clinical experience. 

I like to think of a statistician as someone who is able to mark off the extent to which we can draw firm inferences from the observed data, whereas the clinician is the one that will have a more profound insight onto the implications or consequences of the results at the individual or population level.

