## [How can I specify a level of a factor while in an lme?](http://stats.stackexchange.com/questions/8418/how-can-i-specify-a-level-of-a-factor-while-in-an-lme)

If you just want to fit separate models for each level of your factor, then probably the easiest way is to use the `subset=` argument to `lme` (or any other GLM in R, btw). For example,

    lme(y ~ x + factor(repeatedmeasures) + fact, 
        random = ~1 | z, data=mydata, subset=as.numeric(fact) == 1)

should subset on the first level of your factor. I used `as.numeric()` because you didn't provide labels to your newly created factor. To do so, you can fill the `labels=` argument when calling `cut()`, such that the above code could read

    lme(..., subset=fact == "low")

for example (assuming the first level of `fact` is named `low`). In both cases, you can easy set up a loop (using something like `for i in 1:nlevels(fact)` or `for i in seq_along(levels(fact))`) to iterate over your different models.
