## [Two-Way Joining in R](http://stats.stackexchange.com/questions/9074/two-way-joining-in-r)

Generally speaking, you should always find useful pointers by looking at the relevant CRAN TAsk Views, in this case the one that deals with [Cluster][1] packages, or maybe [Quick-R][2].

It's not clear to me whether the link you gave referenced standard clustering techniques for $n$ (individuals) by $k$ (variables) matrix of measures where we impose constraints on the resulting heatmap displays, or two-mode clustering or [biclustering][3]. 

**In the first approach**, we could, for example,

1. compute a measure of (dis)similarity between individuals, or correlation between variables, and show the resulting $n\times n$ or $k\times k$ matrix where rows and columns are rearranged by some kind of partitioning or ordering technique -- this help highlighting possible substructures in the association matrix, and you will find more information in this [related question][4];
2. compute the correlation between two blocks of data observed on the same individuals, and reorder the pattern of correlations following an external ordination technique (e.g., hierarchical clustering) -- it amounts to show a heatmap of the observed statistics reordered by rows *and* columns.

As proposed in an [earlier response][5], the latter is readily available in the `cim()` function from the [mixOmics][6] package. From the on-line help, we can end up with something like that:

![enter image description here][7]

Please, note that this is just a two-step process to conveniently display summary measures of association: clustering of rows (individuals or variables) and columns (individuals or variables) is done separately.

**In the second approach** (biclustering), that I'm inclined to favour, I only know one R package, [biclust][8], that is greatly inspired for research in bioinformatics. Some pointers were also given in an [earlier thread][9]. (But there's even some papers in the psychometrics literature.) In this case, we need to put some constraints during clustering because we want to cluster both individuals *and* variables *at the same time*.

Again, you can display the resulting structure as heatmaps (see `help(heatmapBC)`), as shown below

![enter image description here][10]


  [1]: http://cran.r-project.org/web/views/Cluster.html
  [2]: http://www.statmethods.net/
  [3]: http://en.wikipedia.org/wiki/Biclustering
  [4]: http://stats.stackexchange.com/questions/8370/how-to-visualize-summarize-a-matrix-with-number-of-rows-gg-number-of-columns/8372#8372
  [5]: http://stats.stackexchange.com/questions/6890/plotting-a-heatmap-given-a-dendrogram-and-a-distance-matrix-in-r/6893#6893
  [6]: http://cran.r-project.org/web/packages/mixOmics/index.html
  [7]: http://i.imgur.com/LFj7J.png
  [8]: http://cran.r-project.org/web/packages/biclust/index.html
  [9]: http://stats.stackexchange.com/questions/7419/getting-started-with-biclustering
  [10]: http://i.imgur.com/fQNgb.png
