## [How to get generalisation performance from nnet in R using k-fold cross-validation?](http://stats.stackexchange.com/questions/9192/how-to-get-generalisation-performance-from-nnet-in-r-using-k-fold-cross-validatio)

Implementing k-fold CV (with or without nesting) is relatively straightforward in R; and stratified sampling (wrt. class membership or subjects' characteristics, e.g. age or gender) is not that difficult. 

About the way to assess one's classifier performance, you can directly look at the R code for the `tune()` function. (Just type `tune` at the R prompt.) For a classification problem, this is the class agreement (between predicted and observed class membership) that is computed.

However, if you are looking for a complete R framework where data preprocessing (feature elimination, scaling, etc.), training/test resampling, and comparative measures of classifiers accuracy are provided in few commands, I would definitely recommend to have a look at the [caret][1] package, which also includes a lot of useful vignettes (see also the [JSS paper][2]). 

Of note, although NNs are part of the methods callable from within `caret`, you may probably have to look at other methods that perform as well and most of the times better than NNs (e.g., Random Forests, SVMs, etc.)


  [1]: http://caret.r-forge.r-project.org/Classification_and_Regression_Training.html
  [2]: http://www.jstatsoft.org/v28/i05/paper
