## [R - interaction plot with confidence intervals?](http://stats.stackexchange.com/questions/9477/r-interaction-plot-with-confidence-intervals)

If you're willing to use [ggplot][1], you can try the following code.

    library(ggplot2)
    gp <- ggplot(data=br, aes(x=tangle, y=gtangles)) 
    gp + geom_point() + stat_smooth(method="lm", fullrange=T) + facet_grid(. ~ up)

for a facetted interaction plot

![enter image description here][2]

For a standard interaction plot (like the one produced by `interaction.plot()`), you just have to remove the facetting.

    gp <- ggplot(data=br, aes(x=tangle, y=gtangles, colour=factor(up))) 
    gp + geom_point() + stat_smooth(method="lm")

![enter image description here][3]


  [1]: http://had.co.nz/ggplot2/
  [2]: http://i.imgur.com/ihhbW.png
  [3]: http://i.imgur.com/UUHNu.png
