## [How to print a single column in the output of forecast function in R forecast package?](http://stats.stackexchange.com/questions/9908/how-to-print-a-single-column-in-the-output-of-forecast-function-in-r-forecast-pac)

Although I never used the `forecast` package, looking at the output of 

    ts1 <- ets(USAccDeaths)
    fc <- forecast(ts1, h=48)
    str(fc)

it seems that what you are looking for is just stored as

    fc$mean

while `fc$lower` (resp. `fc$upper`) will give you 80 and 95% lower (resp. upper) limits for prediction. Note that you'll have to replace `fc` with the name of your variable, `fit`. Note also that this is *fully documented* in the on-line help for `forecast` (see returned value):


         An object of class ‘"forecast"’ is a list containing at least the
         following elements:
    
       model: A list containing information about the fitted model    
      method: The name of the forecasting method as a character string
        mean: Point forecasts as a time series    
       lower: Lower limits for prediction intervals    
       upper: Upper limits for prediction intervals

