## [Assumptions of cluster analysis](http://stats.stackexchange.com/questions/8148/assumptions-of-cluster-analysis)

Well, clustering techniques are not limited to *distance-based* methods where we seek groups of statistical units that are unusually close to each other, in a geometrical sense. There're also a range of techniques relying on *density* (clusters are seen as "regions" in the feature space) or *probability distribution*. 

The latter case is also know as *model-based clustering*; psychometricians use the term [Latent Profile Analysis][1] to denote this specific case of [Finite Mixture Model][2], where we assume that the population is composed of different unobserved groups, or latent classes, and that the joint density of all manifest variables is a mixture of this class-specific density. Good implementation are available in the [Mclust][3] package or [Mplus][4] software. Different class-invariant covariance matrices can be used (in fact, Mclust uses the BIC criterion to select the optimal one while varying the number of clusters). 

The standard [Latent Class Model][5] also makes the assumption that observed data come from a mixture of g multivariate multinomial distributions. A good overview is available in [Model-based cluster analysis: a Defence][6], by Gilles Celeux.

Inasmuch these methods rely on distributional assumptions, this also render possible to use formal tests or goodness-of-fit indices to decide about the number of clusters or classes, which remains a difficult problem in distance-based cluster analysis, but see the following articles that discussed this issue:

1. Handl, J., Knowles, J., and Kell, D.B. (2005). Computational cluster validation in post-genomic data analysis. *Bioinformatics*, *21(15)*, 3201-3212.
2. Hennig, C. (2007) Cluster-wise assessment of cluster stability. *Computational Statistics and Data Analysis*, *52*, 258-271.
3. Hennig, C. (2008) Dissolution point and isolation robustness: robustness criteria for general cluster analysis methods. *Journal of Multivariate Analysis*, *99*, 1154-1176.


  [1]: http://spitswww.uvt.nl/~vermunt/ermss2004f.pdf
  [2]: http://en.wikipedia.org/wiki/Mixture_model
  [3]: http://www.stat.washington.edu/mclust/
  [4]: http://www.statmodel.com/
  [5]: http://en.wikipedia.org/wiki/Latent_class_model
  [6]: http://eric.univ-lyon2.fr/~rias2006/presentations/Celeux.pdf
