## [Uncorrected pairwise p-values for one-way ANOVA?](http://stats.stackexchange.com/questions/11473/uncorrected-pairwise-p-values-for-one-way-anova)

You can use `pairwise.t.test()` with one of the available options for multiple comparison correction in the `p.adjust.method=` argument; see `help(p.adjust)` for more information on the available option for single-step and step-down methods (e.g., `BH` for FDR or `bonf` for Bonferroni). Of note, you can directly give `p.adjust()` a vector of raw p-values and it will give you the corrected p-values.

So, I would suggest to run something like

    pairwise.t.test(time, breed, p.adjust.method ="none")  # uncorrected p-value
    pairwise.t.test(time, breed, p.adjust.method ="bonf")  # Bonferroni p-value

The first command gives you t-test-based p-values without controlling for FWER or FDR. You can then use whatever command you like to get corrected p-values.
