## [Multiple histograms](http://stats.stackexchange.com/questions/11936/multiple-histograms)

Without seeing the data, I would suggest trying [trellis displays][1]. If you are using R, this is very easy to do with the [lattice][2] (even [latticeExtra][3]) or [ggplot2][4] packages.

    > my.df <- data.frame(x=rnorm(300), year=gl(3, 100, 300, labels=2000:2002))
    > head(my.df)
               x year
    1 -0.3260365 2000
    2  0.5524619 2000
    3 -0.6749438 2000
    4  0.2143595 2000
    5  0.3107692 2000
    6  1.1739663 2000
    > library(lattice)
    > densityplot(~ x, data=my.df, groups=year)

which gives

![enter image description here][5]

Compare to `densityplot(~ x | year, data=my.df, layout=c(3,1))` (for a facetted display).


  [1]: http://cm.bell-labs.com/stat/project/trellis/
  [2]: http://cran.r-project.org/web/packages/lattice/index.html
  [3]: http://cran.r-project.org/web/packages/latticeExtra/index.html
  [4]: http://cran.r-project.org/web/packages/ggplot2/index.html
  [5]: http://i.stack.imgur.com/UJ4gF.png
