As a good starter to IRT, I always recommend reading [A visual guide to item response theory](http://www.metheval.uni-jena.de/irt/VisualIRT.pdf).

The [FreeIRT project](http://freeirt.anaqol.org/index.php?file=homepage.php) features a list of dedicated macros or packages to be used with SAS, Stata, R, among others. Another survey of available software is available on [www.rasch.org](http://www.rasch.org/software.htm).

Fron my experience, I found the [Raschtest](http://www.stata-journal.com/article.html?article=st0119) (and associated) Stata command(s) very handy in most cases where one is interested in fitting one-parameter model. For more complex design, one can resort on [GLLAMM](http://www.gllamm.org/); there's a nice [working example](http://www.gllamm.org/aggression.html) based on De Boeck and Wilson's book, *Explanatory Item and Response Models* (Springer, 2004). 

About R specifically, there are plenty of packages that have become available in the past five years, see for instance the related CRAN [Task View](http://cran.r-project.org/web/views/Psychometrics.html). Most of them are discussed in a [special issue](http://www.jstatsoft.org/v20) of the *Journal of Statistical Software* (vol. 20, 2007). As discussed in another response, the [ltm](http://cran.r-project.org/web/packages/ltm/index.html) and [eRm](http://cran.r-project.org/web/packages/eRm/index.html) allow to fit a wide range of IRT models. As they rely on different method of estimation---`ltm` used the marginal approach while `eRm` use the conditional approach---choosing one or the other is mainly a matter of the model you want to fit (`eRm` won't fit 2- or 3-parameter models) and the measurement objective you follow: conditional estimation of person parameters have some nice psychometric properties while a marginal approach let you easily switch to mixed-effects model, as discussed in the following two papers:

* Doran, H., Bates, D., Bliese, P. and Dowling, M. (2007). [Estimating the Multilevel Rasch Model: With the lme4 Package](http://www.jstatsoft.org/v20/i02). *Journal of Statistical Software*, 20(2). See also Doug Bates's [slides on R-forge](http://lme4.R-forge.R-project.org/)
* De Boeck, P., Bakker, M., Zwitser, R., Nivard, M., Hofman, A., Tuerlinckx, F., and Partchev, I. (2011). [The Estimation of Item Response Models with the lmer Function from the lme4 Package in R](http://www.jstatsoft.org/v39/i12). *Journal of Statistical Software*, 39(12). See also the aforementioned De Boeck's handbook and this [handout](http://statmath.wu.ac.at/courses/deboeck/materials/handouts.pdf)

There are also some possibilities to fit Rasch models using MCMC method, see e.g. the [MCMCpack](http://cran.r-project.org/web/packages/MCMCpack/) package (or [WinBUGS](http://www.mrc-bsu.cam.ac.uk/bugs/winbugs/contents.shtml)/[JAGS](http://mcmc-jags.sourceforge.net/), but see [BUGS Code for Item Response Theory](http://www.jstatsoft.org/v36/c01/paper), JSS (2010) 36).

I have no experience with SAS for IRT modeling, so I'll let that to someone who is more versed into SAS programming.

Other dedicated software (mostly used in educational assessment) include: RUMM, Conquest, Winsteps, BILOG/MULTILOG, Mplus (not citing the list already available on [wikipedia](http://en.wikipedia.org/wiki/Psychometric_software)). None are free to use, but time-limited demonstration version are proposed for some of them. I found [jMetrik](http://www.itemanalysis.com/) very limited when I tried it (one year ago), and all functionalities are already available in R. Likewise, [ConstructMap](http://bearcenter.berkeley.edu/ConstructMap/) can be safely replaced by lme4, as illustrated in the [handout](http://statmath.wu.ac.at/courses/deboeck/materials/handouts.pdf) linked above.
I should also mention `mdltm` (Multidimensional Discrete Latent Trait Models) for mixture Rasch models, by von Davier and coll, which is supposed to accompagny the book *Multivariate and Mixture Distribution Rasch Models* (Springer, 2007).
