## [A multitrait-multimethod matrix and data set](http://stats.stackexchange.com/questions/24418/a-multitrait-multimethod-matrix-and-data-set)

It looks like I forgot to link to the [original resource][1] I used to construct this picture, that was used as an illustration for an old course (I tend to prefer B&W pictures :-). I know nothing about the data, and that was not of primary interest at the time I used it (it was done with Omnigraffle for Mac). 

If the question is about how to reach such figures, you can try to generate correlation matrices on your own, using the excellent [psych][2] package. (Be sure to check William Revelle's [website][3].) However, for well-established data you could probably refer to

> Brown, TA (2006). [*Confirmatory Factor Analysis for Applied
> Research*][4]. The Guilford Press.

See data for [Table 6.1][5]. Some context (pp. 214-216):

> In this illustration, the researcher whishes to examine the construct
> validity of the DSM-IV Cluster A personality disorders, which are
> enduring patterns of symptoms characterized by odd or eccentric
> behaviors (American Psychiatric Association, 1994). Cluster A is
> comprised of three personality disorder constructs: (1) paranoid (an
> enduring pattern of distrust and suspicion such that others' motives
> are interpreted as malevolent); (2) schizoid (an enduring pattern of
> detachment from social relationships and restricted range of emotional
> expression); and (3) schizotypal (an enduring pattern of acute
> discomfort in social relationships, cognitive and perceptual
> distortions, and behavioral eccentricities). In a sample of 500
> patients, each of these three traits is measured by three assessment
> methods: (1) a self-report inventory of personality disorders; (2)
> dimensional ratings from a structured clinical interview of
> personality disorders; and (3) observational ratings made by
> paraprofessional staff. Thus, Table 6.1 is a 3 (T) x 3 (M) matrix,
> arranged such that the correlations among the different traits
> (personality disorders: paranoid, schizotypal, schizoid) are nested
> within each method (assessment type: inventory, clinical interview,
> observer ratings).

 

The result should look like this:

![enter image description here][6]

If you are using R, you might be interested in looking into the `mtmm()` function from the [psy][7] package (which can be used to assess convergent and discriminant validity within a single measurement instrument as well), as already mentioned in earlier replies of mine: [How to compute correlation between/within groups of variables?][8], [Which package to use for convergent and discriminant validity in R?][9]


  [1]: http://www.socialresearchmethods.net/kb/mtmmmat.php
  [2]: http://cran.r-project.org/web/packages/psych/index.html
  [3]: http://personality-project.org/r/book/
  [4]: http://people.bu.edu/tabrown/cfabook.html
  [5]: http://people.bu.edu/tabrown/Ch6/tab6.1.dat
  [6]: http://i.stack.imgur.com/yADIs.png
  [7]: http://cran.r-project.org/web/packages/psy/index.html
  [8]: http://stats.stackexchange.com/a/9944/930
  [9]: http://stats.stackexchange.com/a/20232/930
